Index: /branches/2.0/language/sr_RS/about.html
===================================================================
--- /branches/2.0/language/sr_RS/about.html	(revision 5270)
+++ /branches/2.0/language/sr_RS/about.html	(revision 5270)
@@ -0,0 +1,6 @@
+  <li>Piwigo je web aplikacija koja vam omogućava izradu web galerije na lak način.</li>
+
+  <li>Tehnički, Piwigo je potpuno razvijen korišćenjem PHP (the elePHPant) te MySQL baze podataka (the SQuirreL).</li>
+
+  <li>Ako imate predloga i komentara, molimo posjetite <a href="http://piwigo.org">Piwigo</a> službenu stranicu, i njoj posvećen <a href="http://piwigo.org/forum">forum</a>.</li>
+
Index: /branches/2.0/language/sr_RS/common.lang.php
===================================================================
--- /branches/2.0/language/sr_RS/common.lang.php	(revision 5270)
+++ /branches/2.0/language/sr_RS/common.lang.php	(revision 5270)
@@ -0,0 +1,368 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Langage informations
+$lang_info['language_name'] = 'Srpski';
+$lang_info['country'] = 'Srbija';
+$lang_info['direction'] = 'ltr';
+$lang_info['code'] = 'sr';
+$lang_info['zero_plural'] = true;
+
+$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (ocenjeno %d puta, standardno odstupanje = %.2f)';
+$lang['%d Kb'] = '%d Kb';
+$lang['%d category updated'] = '%d kategorija obnovljena';
+$lang['%d categories updated'] = '%d kategorije obnovljene';
+$lang['%d comment to validate'] = '%d komentar za overu';
+$lang['%d comments to validate'] = '%d komentari za overu';
+$lang['%d new comment'] = '%d novi komentar';
+$lang['%d new comments'] = '%d novi komentari';
+$lang['%d comment'] = '%d komentar';
+$lang['%d comments'] = '%d komentari';
+$lang['%d hit'] = '%d poseta';
+$lang['%d hits'] = '%d poseta';
+$lang['%d new element'] = '%d nova slika';
+$lang['%d new elements'] = '%d nove slike';
+$lang['%d new user'] = '%d novi korisnik';
+$lang['%d new users'] = '%d novi korisnici';
+$lang['%d waiting element'] = '%d stavka na čekanju';
+$lang['%d waiting elements'] = '%d stavke na čekanju';
+$lang['About'] = 'O...';
+$lang['All tags must match'] = 'Svi tagovi se moraju poklapati';
+$lang['All tags'] = 'Svi tagovi';
+$lang['Any tag'] = 'Bilo koji tag';
+$lang['At least one listed rule must be satisfied.'] = 'Najmanje jedno od navedenih pravila mora biti zadovoljeno.';
+$lang['At least one tag must match'] = 'Najmanje jedan tag se mora poklapati';
+$lang['Author'] = 'Autor';
+$lang['Average rate'] = 'Prosečna ocena';
+$lang['Categories'] = 'Kategorije';
+$lang['Category'] = 'Kategorija';
+$lang['Close this window'] = 'Zatvori prozor';
+$lang['Complete RSS feed'] = 'Potpuni RSS izvori (slike, komentari)';
+$lang['Confirm Password'] = 'Potvrdi Lozinku';
+$lang['Connection settings'] = 'Podešavanja povezivanja';
+$lang['Connection'] = 'Prijava';
+$lang['Contact webmaster'] = 'Pišite webmaster-u';
+$lang['Create a new account'] = 'Napravi novi nalog';
+$lang['Created on'] = 'Napravljen na';
+$lang['Creation date'] = 'Datum izrade';
+$lang['Current password is wrong'] = 'Trenutna lozinka je neispravna';
+$lang['Dimensions'] = 'Veličine';
+$lang['Display'] = 'Prikaz';
+$lang['Each listed rule must be satisfied.'] = 'Svako navedeno pravilo mora biti zadovoljeno.';
+$lang['Email address is missing'] = 'Nedostaje E-mail adresa';
+$lang['Email address'] = 'E-mail adresa';
+$lang['Enter your personnal informations'] = 'Upišite svoje lične podatke';
+$lang['Error sending email'] = 'Greška prilikom slanja e-mail poruke';
+$lang['File name'] = 'Naziv datoteke';
+$lang['File'] = 'Datoteka';
+$lang['Filesize'] = 'Veličina datoteke';
+$lang['Filter and display'] = 'Filter i prikaz';
+$lang['Filter'] = 'Filter';
+$lang['Forgot your password?'] = 'Zaboravili ste lozinku?';
+$lang['Go through the gallery as a visitor'] = 'Pregledajte galeriju kao posetioc';
+$lang['Help'] = 'Pomoć';
+$lang['Identification'] = 'Prijava';
+$lang['Image only RSS feed'] = 'RSS izvor samo za slike';
+$lang['Keyword'] = 'Ključna riječ';
+$lang['Links'] = 'Linkovi';
+$lang['Mail address'] = 'E-Mail adresa';
+$lang['N/A'] = 'N/D';
+$lang['New on %s'] = 'Novi na on %s';
+$lang['New password confirmation does not correspond'] = 'Potvrda nove lozinke ne odgovara';
+$lang['New password sent by email'] = 'Nova lozinka poslana e-mail porukom';
+$lang['No email address'] = 'Nema e-mail adrese';
+$lang['No user matches this email address'] = 'Nijedan korisnik se ne poklapa s ovom e-mail adresom';
+$lang['Notification'] = 'Obaveštenje';
+$lang['Number of items'] = 'Broj stavki';
+$lang['Original dimensions'] = 'Izvorne veličine';
+$lang['Password forgotten'] = 'Zaboravljena lozinka';
+$lang['Password'] = 'Lozinka';
+$lang['Post date'] = 'Datum objave';
+$lang['Posted on'] = 'Objavljeno u';
+$lang['Profile'] = 'Profil';
+$lang['Quick connect'] = 'Brza veza';
+$lang['RSS feed'] = 'RSS izvor';
+$lang['Rate'] = 'Ocena';
+$lang['Register'] = 'Upišite se';
+$lang['Registration'] = 'Registracija';
+$lang['Related tags'] = 'Povezani tagovi';
+$lang['Reset'] = 'Poništi';
+$lang['Retrieve password'] = 'Vrati lozinku';
+$lang['Search rules'] = 'Pravila pretrage';
+$lang['Search tags'] = 'Tagovi pretrage';
+$lang['Search'] = 'Pretraživanje';
+$lang['See available tags'] = 'Pogledaj dostupne tagove';
+$lang['Send new password'] = 'Pošalji novu lozinku';
+$lang['Since'] = 'Od';
+$lang['Sort by'] = 'Složeno po';
+$lang['Sort order'] = 'Redosled slaganja';
+$lang['Tag'] = 'Tag';
+$lang['Tags'] = 'Tagovi';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'RSS obavijesni izvor omogućava obaveštavanje o novostima sa ovog web mesta : nove slike, obnovljene kategorije, nove komentare. Koristite čitač RSS izvora.';
+$lang['Unknown feed identifier'] = 'Nepoznata oznaka izvora';
+$lang['User comments'] = 'Korisnički komentari';
+$lang['Username'] = 'Korisničko ime';
+$lang['Visits'] = 'Poseta';
+$lang['Webmaster'] = 'Webmaster';
+$lang['Week %d'] = 'Nedelja %d';
+$lang['about_page_title'] = 'O Piwigo-u';
+$lang['access_forbiden'] = 'Niste ovlašteni za pristup zatraženoj stranici';
+$lang['add to caddie'] = 'dodaj u fioku';
+$lang['add_favorites_hint'] = 'dodaj ovu sliku u omiljene';
+$lang['admin'] = 'Administracija';
+$lang['adviser_mode_enabled'] = 'Savetnički mod omogućen';
+$lang['all'] = 'sve';
+$lang['ascending'] = 'uzlazno';
+$lang['author(s) : %s'] = 'autor(i) : %s';
+$lang['auto_expand'] = 'Proširi sve kategorije';
+$lang['became available after %s (%s)'] = 'objavljeno posle %s (%s)';
+$lang['became available before %s (%s)'] = 'objavljeno pre %s (%s)';
+$lang['became available between %s (%s) and %s (%s)'] = 'objavljeno između %s (%s) i %s (%s)';
+$lang['became available on %s'] = 'objavljeno na %s';
+$lang['best_rated_cat'] = 'Najbolje ocenjeno';
+$lang['best_rated_cat_hint'] = 'prikaz najbolje ocenjenih stavki';
+$lang['caddie'] = 'Fioka';
+$lang['calendar'] = 'Kalendar';
+$lang['calendar_any'] = 'Sve';
+$lang['calendar_hint'] = 'prikaz svakog dana sa slikama, mesec po mesec';
+$lang['calendar_picture_hint'] = 'prikaz slika dodanih na';
+$lang['calendar_view'] = 'Pogledaj';
+$lang['chronology_monthly_calendar'] = 'Mesečni kalendar';
+$lang['chronology_monthly_list'] = 'Mesečni popis';
+$lang['chronology_weekly_list'] = 'Nedeljni popis';
+$lang['click_to_redirect'] = 'Kliknite ovde ako niste automatski prebačeni';
+$lang['comment date'] = 'datum komentara';
+$lang['comment'] = 'Komentar';
+$lang['comment_added'] = 'Vaš je komentar upisan';
+$lang['comment_anti-flood'] = 'Anti-flood sistem : molimo sačekajte malo pre objave novog komentara';
+$lang['comment_not_added'] = 'Vaš komentar NIJE upisan jer nije prošao pravila overe';
+$lang['comment_to_validate'] = 'Administrator mora odobriti vaš komentar pre objave.';
+$lang['comment_user_exists'] = 'Ovo korisničko ime se već koristi';
+$lang['comments'] = 'Komentari';
+$lang['comments_add'] = 'Dodaj komentar';
+$lang['created after %s (%s)'] = 'napravljen nakon %s (%s)';
+$lang['created before %s (%s)'] = 'napravljen prije %s (%s)';
+$lang['created between %s (%s) and %s (%s)'] = 'napravljen između %s (%s) i %s (%s)';
+$lang['created on %s'] = 'napravljen na %s';
+$lang['customize'] = 'Podesi';
+$lang['customize_page_title'] = 'Podešavanje Vaše Galerije ';
+$lang['day'][0] = 'Nedelja';
+$lang['day'][1] = 'Ponedjeljak';
+$lang['day'][2] = 'Utorak';
+$lang['day'][3] = 'Sreda';
+$lang['day'][4] = 'Četvrtak';
+$lang['day'][5] = 'Petak';
+$lang['day'][6] = 'Subota';
+$lang['default_sort'] = 'Podrazumevano';
+$lang['del_favorites_hint'] = 'uklonite ovu sliku iz omiljenih';
+$lang['delete'] = 'Ukloni';
+$lang['descending'] = 'silazno';
+$lang['download'] = 'preuzmi';
+$lang['download_hint'] = 'preuzmi ovu sliku';
+$lang['edit'] = 'uredi';
+$lang['err_date'] = 'pogrešan datum';
+$lang['excluded'] = 'isključeno';
+$lang['favorite_cat'] = 'Moji omiljeni';
+$lang['favorite_cat_hint'] = 'prikaz mojih omiljenih slika';
+$lang['favorites'] = 'Omiljeni';
+$lang['first_page'] = 'Prvi';
+$lang['gallery_locked_message'] = 'Galerija je zaključana zbog održavanja. Molimo, navratite kasnije.';
+$lang['generation_time'] = 'Stranica izrađena u ';
+$lang['guest'] = 'gost';
+$lang['hello'] = 'Pozdrav';
+$lang['hint_admin'] = 'dostupno samo administratorima';
+$lang['hint_category'] = 'prikazuje slike u glavnoj kategoriji';
+$lang['hint_comments'] = 'Pregled zadnjih korisničkih komentara';
+$lang['hint_customize'] = 'podesite izgled vaše galerije';
+$lang['hint_search'] = 'pretraži';
+$lang['home'] = 'Početna';
+$lang['identification'] = 'Prijava';
+$lang['images_available_cpl'] = 'u ovoj kategoriji';
+$lang['images_available_cat'] = 'u %d podkategoriji';
+$lang['images_available_cats'] = 'u %d podkategorijama';
+$lang['included'] = 'uključeno';
+$lang['invalid_pwd'] = 'Pogrešna lozinka!';
+$lang['language']='Jezik';
+$lang['last %d days'] = 'zadnjih %d dana';
+$lang['last_page'] = 'Zadnji';
+$lang['logout'] = 'Odjava';
+$lang['mail_address'] = 'E-mail adresa';
+$lang['mandatory'] = 'obvezno';
+$lang['maxheight'] = 'Najveća dozvoljena visina slika';
+$lang['maxheight_error'] = 'Najveća visina mora biti broj veći od 50';
+$lang['maxwidth'] = 'Najveća dozvoljena širina slika';
+$lang['maxwidth_error'] = 'Najveća širina mora biti broj veći od 50';
+$lang['mode_created_hint'] = 'prikaz kalendara po datumu izrade';
+$lang['mode_flat_hint'] = 'prikaz svih stavki u svim podkategorijama';
+$lang['mode_normal_hint'] = 'povratak u uobičajeni način pregleda';
+$lang['mode_posted_hint'] = 'prikaz kalendara po datumu objave';
+$lang['month'][10] = 'Oktobar';
+$lang['month'][11] = 'Novembar';
+$lang['month'][12] = 'Decembar';
+$lang['month'][1] = 'Januar';
+$lang['month'][2] = 'Februar';
+$lang['month'][3] = 'Mart';
+$lang['month'][4] = 'April';
+$lang['month'][5] = 'Maj';
+$lang['month'][6] = 'Jun';
+$lang['month'][7] = 'Jul';
+$lang['month'][8] = 'Avgust';
+$lang['month'][9] = 'Septembar';
+$lang['most_visited_cat'] = 'Najposjećenije';
+$lang['most_visited_cat_hint'] = 'prikaz najposjećenijih slika';
+$lang['nb_image_line_error'] = 'broj slika po redu mora biti celobrojna vrednost';
+$lang['nb_image_per_row'] = 'Broj slika po redu';
+$lang['nb_line_page_error'] = 'Broj redova po stranici mora biti celobrojna vrednost';
+$lang['nb_row_per_page'] = 'Broj redova po stranici';
+$lang['nbm_unknown_identifier'] = 'Nepoznata oznaka';
+$lang['new_password'] = 'Nova lozinka';
+$lang['new_rate'] = 'Oceni ovu sliku';
+$lang['next_page'] = 'Sledeći';
+$lang['no_category'] = 'Početna';
+$lang['no_rate'] = 'bez ocene';
+$lang['note_filter_day'] = 'Stavke objavljene u zadnjem %d danu.';
+$lang['note_filter_days'] = 'Stavke objavljene u zadnjih %d dana.';
+$lang['password updated'] = 'lozinka obnovljena';
+$lang['periods_error'] = 'Razdoblje mora biti pozitivna celobrojna vrednost';
+/* DEPRECATED USED IN comments.php FOR image_id ? */ $lang['picture'] = 'slika';
+$lang['picture_high'] = 'Klikni na sliku za pregled u visokoj rezoluciji';
+$lang['picture_show_metadata'] = 'Prikaži meta podatke zapisa';
+$lang['powered_by'] = 'Urađeno u';
+$lang['preferences'] = 'Podešenja';
+$lang['previous_page'] = 'Prethodni';
+$lang['random_cat'] = 'Slike po slučajnom izboru';
+$lang['random_cat_hint'] = 'prikaz slika po slučajnom izboru';
+$lang['recent_cats_cat'] = 'Nedavne kategorije';
+$lang['recent_cats_cat_hint'] = 'prikaz nedavno obnovljenih kategorija';
+$lang['recent_period'] = 'Nedavno razdoblje';
+$lang['recent_pics_cat'] = 'Nedavne slike';
+$lang['recent_pics_cat_hint'] = 'prikaz najnovijih slika';
+$lang['redirect_msg'] = 'Preusmeravanje...';
+$lang['reg_err_login1'] = 'Molimo, prijavite se';
+$lang['reg_err_login2'] = 'prijava ne sme završavati razmakom';
+$lang['reg_err_login3'] = 'prijava ne sme počinjati razmakom';
+$lang['reg_err_login5'] = 'ovo korisničko ime se već koristi';
+$lang['reg_err_mail_address'] = 'e-mail adresa mora biti oblika xxx@yyy.eee (npr : korisnik@stranica.org)';
+$lang['reg_err_pass'] = 'molimo unesite lozinku ponovo';
+$lang['remember_me'] = 'Upamti me';
+$lang['remove this tag'] = 'ukloni  ovaj tag iz popisa';
+$lang['representative'] = 'predstavnik';
+$lang['return to homepage'] = 'povratak na početnu';
+$lang['search_author'] = 'Pretraživanje po Autoru';
+$lang['search_categories'] = 'Pretraživanje u Kategorijama';
+$lang['search_date'] = 'Pretraživanje po Datumu';
+$lang['search_date_from'] = 'Datum';
+$lang['search_date_to'] = 'Krajnji Datum';
+$lang['search_date_type'] = 'Vrsta datuma';
+$lang['search_keywords'] = 'Pretraživanje po rečima';
+$lang['search_mode_and'] = 'Pretraživanje po svim kriterijumima ';
+$lang['search_mode_or'] = 'Pretraživanje po bilo kojem kriterijumu';
+$lang['search_one_clause_at_least'] = 'Prazna pretraga. Nije unešeno ni jedno polje.';
+$lang['search_options'] = 'Mogućnosti Pretraživanja';
+$lang['search_result'] = 'Rezultati pretraživanja';
+$lang['search_subcats_included'] = 'Pretraživanje u podkategorijama';
+$lang['search_title'] = 'Pretraživanje';
+$lang['searched words : %s'] = 'tražene reči : %s';
+$lang['send_mail'] = 'Kontakt';
+$lang['set as category representative'] = 'postavi za predstavnika kategorije';
+$lang['show_nb_comments'] = 'Prikaži broj komentara';
+$lang['show_nb_hits'] = 'Prikaži broj poseta';
+$lang['slideshow'] = 'klizni prikaz';
+$lang['slideshow_stop'] = 'zaustavi klizni prikaz';
+$lang['special_categories'] = 'Posebne kategorije';
+$lang['sql_queries_in'] = 'SQL upit u ';
+$lang['start_filter_hint'] = 'prikaz samo nedavno objavljenih slika';
+$lang['stop_filter_hint'] = 'povratak u prikaz svih slika';
+$lang['the beginning'] = 'početak';
+$lang['theme'] = 'tema';
+$lang['thumbnails'] = 'Sličice';
+$lang['title_menu'] = 'Izbornik';
+$lang['title_send_mail'] = 'Komentar na Vašem web mestu';
+$lang['today'] = 'danas';
+$lang['update_rate'] = 'Obnovite svoju ocenu';
+$lang['update_wrong_dirname'] = 'pogrešan naziv datoteke';
+$lang['upload_advise_filesize'] = 'veličina slike ne sme preći : ';
+$lang['upload_advise_filetype'] = 'slika mora biti u jpg, gif ili png formatu';
+$lang['upload_advise_height'] = 'visina slike ne smije preći : ';
+$lang['upload_advise_thumbnail'] = 'Po izboru, ali preporučljivo : odaberite sličicu za vezu na ';
+$lang['upload_advise_width'] = 'Širina slike ne sme preći : ';
+$lang['upload_author'] = 'Autor';
+$lang['upload_cannot_upload'] = 'ne mogu prebaciti sliku na server';
+$lang['upload_err_username'] = 'mora se upisati korisničko ime';
+$lang['upload_file_exists'] = 'Naziv slike već postoji';
+$lang['upload_filenotfound'] = 'Morate odabrati oblik zapisa za sliku';
+$lang['upload_forbidden'] = 'Ne možete prebacivati slike u ovu kategoriju';
+$lang['upload_name'] = 'Naziv slike';
+$lang['upload_picture'] = 'Prebaci sliku';
+$lang['upload_successful'] = 'Slika uspešno prebačena, administrator će overiti slanje uskoro';
+$lang['upload_title'] = 'Slanje slika';
+$lang['useful when password forgotten'] = 'korisno kada se zaboravi lozinka';
+$lang['qsearch'] = 'Brzo pretraživanje';
+$lang['Connected user: %s'] = 'Povezani korisnik: %s';
+$lang['IP: %s'] = 'IP: %s';
+$lang['Browser: %s'] = 'Pretraživač: %s';
+$lang['Author: %s'] = 'Autor: %s';
+$lang['Comment: %s'] = 'Komentar: %s';
+$lang['Delete: %s'] = 'Obriši: %s';
+$lang['Validate: %s'] = 'Overi: %s';
+$lang['Comment by %s'] = 'Komentarisao-la %s';
+$lang['User: %s'] = 'Korisnik: %s';
+$lang['Email: %s'] = 'E-mail: %s';
+$lang['Admin: %s'] = 'Administrator: %s';
+$lang['Registration of %s'] = 'Prijava od %s';
+$lang['Category: %s'] = 'Kategorija: %s';
+$lang['Picture name: %s'] = 'Naziv slike: %s';
+$lang['Creation date: %s'] = 'Datum izrade: %s';
+$lang['Waiting page: %s'] = 'Stranica čekanja: %s';
+$lang['Picture uploaded by %s'] = 'Sliku prebacio %s';
+// --------- Starting below: New or revised $lang ---- from version 1.7.1
+$lang['guest_must_be_guest'] = 'Loš status za korisnika "guest", koristi se podrazumevani status. Molimo obavestite webmaster-a.';
+// --------- Starting below: New or revised $lang ---- from Butterfly (2.0)
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webmaster i posebni korisnik ne mogu koristiti ovu metodu';
+$lang['reg_err_mail_address_dbl'] = 'korisnik već koristi ovu e-mail adresu';
+$lang['Category results for'] = 'Rezultati kategorije za ';
+$lang['Tag results for'] = 'Rezultati tagova za';
+$lang['from %s to %s'] = 'od %s do %s';
+$lang['start_play'] = 'Pokreni klizni prikaz';
+$lang['stop_play'] = 'Zaustavi klizni prikaz';
+$lang['start_repeat'] = 'Ponovi klizni prikaz';
+$lang['stop_repeat'] = 'Ne ponavljaj klizni prikaz';
+$lang['inc_period'] = 'Smanji brzinu ';
+$lang['dec_period'] = 'Povećaj brzinu ';
+$lang['Submit'] = 'Pošalji';
+$lang['Yes'] = 'Da';
+$lang['No'] = 'Ne';
+$lang['%d element']='%d slika';
+$lang['%d elements']='%d slike';
+$lang['%d element are also linked to current tags'] = '%d slika takođe povezana sa trenutnim tagovima';
+$lang['%d elements are also linked to current tags'] = '%d slike takođe povezana sa trenutnim tagovima';
+$lang['See elements linked to this tag only'] = 'Pregledaj slike povezane samo sa ovim tag-om';
+$lang['elements posted during the last %d days'] = 'slike objavljene tokom zadnjih %d dana';
+$lang['Choose an image'] = 'Odaberite sliku';
+$lang['Piwigo Help'] = 'Piwigo Pomoć';
+$lang['Rank'] = 'Redosled';
+$lang['group by letters'] = 'složeno po slovima';
+$lang['letters'] = 'slova';
+$lang['show tag cloud'] = 'prikaži tag oblak';
+$lang['cloud'] = 'oblak';
+?>
Index: /branches/2.0/language/sr_RS/index.php
===================================================================
--- /branches/2.0/language/sr_RS/index.php	(revision 5270)
+++ /branches/2.0/language/sr_RS/index.php	(revision 5270)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.0/language/sr_RS/iso.txt
===================================================================
--- /branches/2.0/language/sr_RS/iso.txt	(revision 5270)
+++ /branches/2.0/language/sr_RS/iso.txt	(revision 5270)
@@ -0,0 +1,1 @@
+Srpski [SR]