Index: /trunk/admin/themes/default/default-layout.css
===================================================================
--- /trunk/admin/themes/default/default-layout.css	(revision 5283)
+++ /trunk/admin/themes/default/default-layout.css	(revision 5284)
@@ -752,2 +752,4 @@
 #helpContent LI, #ftpPage LI {margin-top:10px;}
 #helpContent P.nextStepLink {text-align:center; font-weight:bold; margin-bottom:20px;}
+
+#configContent FIELDSET {border:none;}
Index: /trunk/admin/themes/default/template/admin.tpl
===================================================================
--- /trunk/admin/themes/default/template/admin.tpl	(revision 5283)
+++ /trunk/admin/themes/default/template/admin.tpl	(revision 5284)
@@ -14,5 +14,5 @@
 
 <div id="menubar">
-  <div id="adminHome"><a href="{$U_ADMIN}">Administration Home</a></div>
+  <div id="adminHome"><a href="{$U_ADMIN}">{'Administration Home'|@translate}</a></div>
   <dl class="first">
     <dt class="rdion"><span>{'Photos'|@translate}&nbsp;</span></dt>
Index: /trunk/admin/themes/default/template/configuration.tpl
===================================================================
--- /trunk/admin/themes/default/template/configuration.tpl	(revision 5283)
+++ /trunk/admin/themes/default/template/configuration.tpl	(revision 5284)
@@ -9,5 +9,5 @@
 <form method="post" action="{$F_ACTION}" class="properties">
 {/if}
-
+<div id="configContent">
 {if isset($main)}
 <fieldset id="mainConf">
@@ -196,4 +196,6 @@
 </fieldset>
 {/if}
+
+</div> <!-- configContent -->
 
 {if isset($default)}
Index: /trunk/admin/themes/default/template/footer.tpl
===================================================================
--- /trunk/admin/themes/default/template/footer.tpl	(revision 5283)
+++ /trunk/admin/themes/default/template/footer.tpl	(revision 5284)
@@ -23,9 +23,9 @@
 
   {'Powered by'|@translate}
-  <a href="{$PHPWG_URL}" title="Visit Piwigo project website">
+  <a href="{$PHPWG_URL}" title="{'Visit Piwigo project website'|@translate}">
   <span class="Piwigo">Piwigo</span></a>
   {$VERSION}
-  | <a class="external" href="{$pwgmenu.WIKI}" title="Read Piwigo Documentation" onclick="window.open(this.href, ''); return false;">{'Documentation'|@translate}</a>
-  | <a class="external" href="{$pwgmenu.FORUM}" title="Get Support on Piwigo Forum" onclick="window.open(this.href, ''); return false;">{'Support'|@translate}</a>
+  | <a class="external" href="{$pwgmenu.WIKI}" title="{'Read Piwigo Documentation'|@translate}" onclick="window.open(this.href, ''); return false;">{'Documentation'|@translate}</a>
+  | <a class="external" href="{$pwgmenu.FORUM}" title="{'Get Support on Piwigo Forum'|@translate}" onclick="window.open(this.href, ''); return false;">{'Support'|@translate}</a>
   </div> <!-- piwigoInfos -->
 
Index: /trunk/admin/themes/default/template/header.tpl
===================================================================
--- /trunk/admin/themes/default/template/header.tpl	(revision 5283)
+++ /trunk/admin/themes/default/template/header.tpl	(revision 5284)
@@ -40,5 +40,5 @@
 <div id="pwgHead">
   <h1>
-    <a href="{$U_RETURN}" title="Visit Gallery">
+    <a href="{$U_RETURN}" title="{'Visit Gallery'|@translate}">
       <img src="{$ROOT_URL}admin/themes/{$theme.id}/icon/home.png" alt="{'Home'|@translate}">
       {$GALLERY_TITLE}
@@ -47,8 +47,8 @@
 
   <div id="headActions">
-    Hello {$USERNAME} :
-    <a href="{$U_RETURN}">Visit Gallery</a> |
-    <a href="{$U_CHANGE_THEME}" title="Switch to clear or dark colors for administration">Change Admin Colors</a> |
-    <a href="{$U_FAQ}" title="{'Instructions to use Piwigo'|@translate}">Help Me</a> |
+    {'Hello'|@translate} {$USERNAME} :
+    <a href="{$U_RETURN}">{'Visit Gallery'|@translate}</a> |
+    <a href="{$U_CHANGE_THEME}" title="{'Switch to clear or dark colors for administration'|@translate}">{'Change Admin Colors'|@translate}</a> |
+    <a href="{$U_FAQ}" title="{'Instructions to use Piwigo'|@translate}">{'Help Me'|@translate}</a> |
     <a href="{$U_LOGOUT}">{'Logout'|@translate}</a>
   </div>
Index: /trunk/admin/themes/default/template/photos_add_ploader.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_ploader.tpl	(revision 5283)
+++ /trunk/admin/themes/default/template/photos_add_ploader.tpl	(revision 5284)
@@ -53,9 +53,9 @@
 
 <div id="pLoaderPage">
-<p>pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.</p>
+<p>{'pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'|@translate}</p>
 
 <ol>
   <li>
-    Download,
+    {'Download,'|@translate}
 
 <table class="downloads">
@@ -83,6 +83,6 @@
 
   </li>
-  <li>Install on your computer,</li>
-  <li>Start pLoader and add your photos.</li>
+  <li>{'Install on your computer,'|@translate}</li>
+  <li>{'Start pLoader and add your photos.'|@translate}</li>
 </ol>
 </div>
Index: /trunk/admin/themes/default/template/photos_add_settings.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_settings.tpl	(revision 5283)
+++ /trunk/admin/themes/default/template/photos_add_settings.tpl	(revision 5284)
@@ -20,5 +20,5 @@
 {/literal}
 
-<div class="titrePage" style="height:25px">
+<div class="titrePage">
   <h2>{'Upload Photos'|@translate}</h2>
 </div>
Index: /trunk/admin/themes/default/template/themes_installed.tpl
===================================================================
--- /trunk/admin/themes/default/template/themes_installed.tpl	(revision 5283)
+++ /trunk/admin/themes/default/template/themes_installed.tpl	(revision 5284)
@@ -6,10 +6,10 @@
 
 <fieldset>
-<legend>Active Themes</legend>
+<legend>{'Active Themes'|@translate}</legend>
 {if isset($active_themes)}
 <div class="themeBoxes">
 {foreach from=$active_themes item=theme}
   <div class="themeBox{if $theme.is_default} themeDefault{/if}">
-    <div class="themeName">{$theme.name}{if $theme.is_default} <em>(default)</em>{/if}</div>
+    <div class="themeName">{$theme.name}{if $theme.is_default} <em>({'default'|@translate})</em>{/if}</div>
     <div class="themeShot"><img src="{$theme.screenshot}"></div>
     <div class="themeActions">
@@ -27,5 +27,5 @@
 {if isset($inactive_themes)}
 <fieldset>
-<legend>Inactive Themes</legend>
+<legend>{'Inactive Themes'|@translate}</legend>
 <div class="themeBoxes">
 {foreach from=$inactive_themes item=theme}