Index: /trunk/admin/themes/default/template/site_manager.tpl
===================================================================
--- /trunk/admin/themes/default/template/site_manager.tpl	(revision 5291)
+++ /trunk/admin/themes/default/template/site_manager.tpl	(revision 5292)
@@ -14,5 +14,5 @@
 
 {if isset($local_listing)}
-{'A local listing.xml file has been found for '|@translate} {$local_listing.URL}
+{'A local listing.xml file has been found for'|@translate} {$local_listing.URL}
 {if isset($local_listing.CREATE)}
 <form action="{$F_ACTION}" method="post">
Index: /trunk/themes/default/template/header.tpl
===================================================================
--- /trunk/themes/default/template/header.tpl	(revision 5291)
+++ /trunk/themes/default/template/header.tpl	(revision 5292)
@@ -18,5 +18,5 @@
 {/if}
 
-{if (isset($REVERSE) and $REVERSE and $PAGE_TITLE == l10n('home'))}
+{if (isset($REVERSE) and $REVERSE and $PAGE_TITLE == l10n('Home'))}
 <title>{$GALLERY_TITLE} | {$PAGE_TITLE}</title>{else}
 <title>{$PAGE_TITLE} | {$GALLERY_TITLE}</title>{/if}
Index: /trunk/themes/default/template/mail/text/html/notification_by_mail.tpl
===================================================================
--- /trunk/themes/default/template/mail/text/html/notification_by_mail.tpl	(revision 5291)
+++ /trunk/themes/default/template/mail/text/html/notification_by_mail.tpl	(revision 5292)
@@ -43,5 +43,5 @@
 {'To unsubscribe'|@translate}{', click on '|@translate}<a href="{$UNSUBSCRIBE_LINK}">{$UNSUBSCRIBE_LINK}</a><br>
 {'To subscribe '|@translate}{', click on '|@translate}<a href="{$SUBSCRIBE_LINK}">{$SUBSCRIBE_LINK}</a><br>
-{'If you encounter problems or have any question, please send a message to '|@translate}<a href="mailto:{$CONTACT_EMAIL}?subject={'[NBM] Problems or questions'|@translate}">{$CONTACT_EMAIL}</a><br>
+{'If you encounter problems or have any question, please send a message to'|@translate} <a href="mailto:{$CONTACT_EMAIL}?subject={'[NBM] Problems or questions'|@translate}">{$CONTACT_EMAIL}</a><br>
 <hr><br>
 </p>
Index: /trunk/themes/default/template/mail/text/plain/notification_by_mail.tpl
===================================================================
--- /trunk/themes/default/template/mail/text/plain/notification_by_mail.tpl	(revision 5291)
+++ /trunk/themes/default/template/mail/text/plain/notification_by_mail.tpl	(revision 5292)
@@ -38,4 +38,4 @@
 {'To unsubscribe'|@translate}{', click on '|@translate}{$UNSUBSCRIBE_LINK}
 {'To subscribe'|@translate}{', click on '|@translate}{$SUBSCRIBE_LINK}
-{'If you encounter problems or have any question, please send a message to '|@translate}{$CONTACT_EMAIL}
+{'If you encounter problems or have any question, please send a message to'|@translate} {$CONTACT_EMAIL}
 ______________________________________________________________________________
Index: /trunk/upload.php
===================================================================
--- /trunk/upload.php	(revision 5291)
+++ /trunk/upload.php	(revision 5292)
@@ -73,5 +73,5 @@
   {
     array_push( $result['error'],
-                l10n('the filesize of the picture must not exceed : ').$my_max_file_size.' KB' );
+                l10n('the filesize of the picture must not exceed :').$my_max_file_size.' KB' );
   }
   else
@@ -91,5 +91,5 @@
       {
         array_push( $result['error'],
-                    l10n('the width of the picture must not exceed : ').$image_max_width.' px' );
+                    l10n('the width of the picture must not exceed :').$image_max_width.' px' );
       }
       if ( isset( $image_max_height )
@@ -98,5 +98,5 @@
       {
         array_push( $result['error'],
-                    l10n('the height of the picture must not exceed : ').$image_max_height.' px' );
+                    l10n('the height of the picture must not exceed :').$image_max_height.' px' );
       }
       // $size[2] == 1 means GIF
@@ -351,5 +351,5 @@
 if ( isset( $page['waiting_id'] ) )
 {
-  $advise_title = l10n('Optional, but recommended : choose a thumbnail to associate to ').$_FILES['picture']['name'];
+  $advise_title = l10n('Optional, but recommended : choose a thumbnail to associate to').' '.$_FILES['picture']['name'];
 }
 else
@@ -382,5 +382,5 @@
   if ( !empty($conf['upload_maxfilesize']) )
   {
-    $content = l10n('the filesize of the picture must not exceed : ');
+    $content = l10n('the filesize of the picture must not exceed :');
     $content.= $conf['upload_maxfilesize'].' KB';
     $template->append('advises', $content);
@@ -391,5 +391,5 @@
     if ( $conf['upload_maxwidth_thumbnail'] != '' )
     {
-      $content = l10n('the width of the picture must not exceed : ');
+      $content = l10n('the width of the picture must not exceed :');
       $content.= $conf['upload_maxwidth_thumbnail'].' px';
       $template->append('advises', $content);
@@ -397,5 +397,5 @@
     if ( $conf['upload_maxheight_thumbnail'] != '' )
     {
-      $content = l10n('the height of the picture must not exceed : ');
+      $content = l10n('the height of the picture must not exceed :');
       $content.= $conf['upload_maxheight_thumbnail'].' px';
       $template->append('advises', $content);
@@ -406,5 +406,5 @@
     if ( $conf['upload_maxwidth'] != '' )
     {
-      $content = l10n('the width of the picture must not exceed : ');
+      $content = l10n('the width of the picture must not exceed :');
       $content.= $conf['upload_maxwidth'].' px';
       $template->append('advises', $content);
@@ -412,5 +412,5 @@
     if ( $conf['upload_maxheight'] != '' )
     {
-      $content = l10n('the height of the picture must not exceed : ');
+      $content = l10n('the height of the picture must not exceed :');
       $content.= $conf['upload_maxheight'].' px';
       $template->append('advises', $content);