Index: /trunk/admin/configuration.php
===================================================================
--- /trunk/admin/configuration.php	(revision 5292)
+++ /trunk/admin/configuration.php	(revision 5293)
@@ -76,4 +76,18 @@
   );
 
+$display_checkboxes = array(
+    'menubar_filter_icon',
+    'index_sort_order_input',
+    'index_flat_icon',
+    'index_posted_date_icon',
+    'index_created_date_icon',
+    'index_slideshow_icon',
+    'picture_metadata_icon',
+    'picture_slideshow_icon',
+    'picture_favorite_icon',
+    'picture_navigation_icons',
+    'picture_navigation_thumb',
+  );
+
 //------------------------------ verification and registration of modifications
 if (isset($_POST['submit']) and !is_adviser())
@@ -130,4 +144,12 @@
     {
       // Never go here
+      break;
+    }
+    case 'display' :
+    {
+      foreach( $display_checkboxes as $checkbox)
+      {
+        $_POST[$checkbox] = empty($_POST[$checkbox])?'false':'true';
+      }
       break;
     }
@@ -175,8 +197,9 @@
 // TabSheet initialization
 $tabsheet->add('main', l10n('Main'), $conf_link.'main');
+$tabsheet->add('display', l10n('Display'), $conf_link.'display');
 $tabsheet->add('history', l10n('History'), $conf_link.'history');
 $tabsheet->add('comments', l10n('Comments'), $conf_link.'comments');
 $tabsheet->add('upload', l10n('Upload'), $conf_link.'upload');
-$tabsheet->add('default', l10n('Default display'), $conf_link.'default');
+$tabsheet->add('default', l10n('Guest Settings'), $conf_link.'default');
 // TabSheet selection
 $tabsheet->select($page['section']);
@@ -299,4 +322,18 @@
     break;
   }
+  case 'display' :
+  {
+    foreach ($display_checkboxes as $checkbox)
+    {
+      $template->append(
+          'display',
+          array(
+            $checkbox => $conf[$checkbox]
+            ),
+          true
+        );
+    }
+    break;
+  }
 }
 
Index: /trunk/admin/themes/default/default-layout.css
===================================================================
--- /trunk/admin/themes/default/default-layout.css	(revision 5292)
+++ /trunk/admin/themes/default/default-layout.css	(revision 5293)
@@ -127,5 +127,7 @@
 FIELDSET#historyConf SPAN.property,
 FIELDSET#commentsConf SPAN.property,
-FIELDSET#uploadConf SPAN.property {
+FIELDSET#uploadConf SPAN.property,
+FIELDSET#indexDisplayConf SPAN.property,
+FIELDSET#pictureDisplayConf SPAN.property {
 	float: right;
 	text-align: left;
@@ -134,5 +136,7 @@
 FIELDSET#historyConf INPUT,
 FIELDSET#commentsConf INPUT,
-FIELDSET#uploadConf INPUT {
+FIELDSET#uploadConf INPUT,
+FIELDSET#indexDisplayConf INPUT,
+FIELDSET#pictureDisplayConf INPUT {
 	float: none;
 }
@@ -146,10 +150,14 @@
 
 FIELDSET#mainConfCheck SPAN.property,
-FIELDSET#historyConf SPAN.property {
+FIELDSET#historyConf SPAN.property,
+FIELDSET#indexDisplayConf SPAN.property,
+FIELDSET#pictureDisplayConf SPAN.property {
 	width: 90%;
 }
 FIELDSET#mainConfCheck INPUT,
 FIELDSET#historyConf INPUT,
-FIELDSET#commentsConf INPUT {
+FIELDSET#commentsConf INPUT,
+FIELDSET#indexDisplayConf INPUT,
+FIELDSET#pictureDisplayConf INPUT {
 	margin-left: 5%;
 }
Index: /trunk/admin/themes/default/template/admin.tpl
===================================================================
--- /trunk/admin/themes/default/template/admin.tpl	(revision 5292)
+++ /trunk/admin/themes/default/template/admin.tpl	(revision 5293)
@@ -82,6 +82,5 @@
     <dd>
       <ul>
-        <li><a href="{$U_CONFIG_GENERAL}">{'General'|@translate}</a></li>
-        <li><a href="{$U_CONFIG_DISPLAY}">{'Default display'|@translate}</a></li>
+        <li><a href="{$U_CONFIG_GENERAL}">{'Options'|@translate}</a></li>
         <li><a href="{$U_CONFIG_MENUBAR}">{'Menu'|@translate}</a></li>
         <li><a href="{$U_CONFIG_EXTENTS}">{'Templates'|@translate}</a></li>
Index: /trunk/admin/themes/default/template/configuration.tpl
===================================================================
--- /trunk/admin/themes/default/template/configuration.tpl	(revision 5292)
+++ /trunk/admin/themes/default/template/configuration.tpl	(revision 5293)
@@ -201,4 +201,93 @@
 {if isset($default)}
 {$PROFILE_CONTENT}
+{/if}
+
+{if isset($display)}
+<fieldset id="indexDisplayConf">
+  <legend>{'Main Page'|@translate}</legend>
+  <ul>
+    <li>
+      <label>
+        <span class="property">{'display only recently posted images'|@translate|@ucfirst}</span>
+        <input type="checkbox" name="menubar_filter_icon" {if ($display.menubar_filter_icon)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'Sort order'|@translate}</span>
+        <input type="checkbox" name="index_sort_order_input" {if ($display.index_sort_order_input)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'display all elements in all sub-categories'|@translate|@ucfirst}</span>
+        <input type="checkbox" name="index_flat_icon" {if ($display.index_flat_icon)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'display a calendar by posted date'|@translate|@ucfirst}</span>
+        <input type="checkbox" name="index_posted_date_icon" {if ($display.index_posted_date_icon)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'display a calendar by creation date'|@translate|@ucfirst}</span>
+        <input type="checkbox" name="index_created_date_icon" {if ($display.index_created_date_icon)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'slideshow'|@translate|@ucfirst}</span>
+        <input type="checkbox" name="index_slideshow_icon" {if ($display.index_slideshow_icon)}checked="checked"{/if}>
+      </label>
+    </li>
+  </ul>
+</fieldset>
+
+<fieldset id="pictureDisplayConf">
+  <legend>{'Photo Page'|@translate}</legend>
+  <ul>
+    <li>
+      <label>
+        <span class="property">{'Show file metadata'|@translate}</span>
+        <input type="checkbox" name="picture_metadata_icon" {if ($display.picture_metadata_icon)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'slideshow'|@translate}</span>
+        <input type="checkbox" name="picture_slideshow_icon" {if ($display.picture_slideshow_icon)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'add this image to your favorites'|@translate|@ucfirst}</span>
+        <input type="checkbox" name="picture_favorite_icon" {if ($display.picture_favorite_icon)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'Navigation Bar'|@translate|@ucfirst}</span>
+        <input type="checkbox" name="picture_navigation_icons" {if ($display.picture_navigation_icons)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'Navigation Thumbnails'|@translate|@ucfirst}</span>
+        <input type="checkbox" name="picture_navigation_thumb" {if ($display.picture_navigation_thumb)}checked="checked"{/if}>
+      </label>
+    </li>
+  </ul>
+</fieldset>
 {/if}
 
Index: /trunk/include/menubar.inc.php
===================================================================
--- /trunk/include/menubar.inc.php	(revision 5292)
+++ /trunk/include/menubar.inc.php	(revision 5293)
@@ -80,5 +80,5 @@
   $block = $menu->get_block('mbCategories');
 //------------------------------------------------------------------------ filter
-  if (!empty($conf['filter_pages']) and get_filter_page_value('used'))
+  if ($conf['menubar_filter_icon'] and !empty($conf['filter_pages']) and get_filter_page_value('used'))
   {
     if ($filter['enabled'])
Index: /trunk/index.php
===================================================================
--- /trunk/index.php	(revision 5292)
+++ /trunk/index.php	(revision 5293)
@@ -108,5 +108,5 @@
 }
 
-if (!isset($page['flat']) and 'categories' == $page['section'])
+if ($conf['index_flat_icon'] and !isset($page['flat']) and 'categories' == $page['section'])
 {
   $template->assign(
@@ -124,14 +124,19 @@
           'chronology_view' => 'list',
       );
-  $template->assign(
-    'U_MODE_CREATED',
-    duplicate_index_url( $chronology_params, array('start', 'flat') )
-    );
-
-  $chronology_params['chronology_field'] = 'posted';
-  $template->assign(
-    'U_MODE_POSTED',
-    duplicate_index_url( $chronology_params, array('start', 'flat') )
-    );
+  if ($conf['index_created_date_icon'])
+  {
+    $template->assign(
+      'U_MODE_CREATED',
+      duplicate_index_url( $chronology_params, array('start', 'flat') )
+      );
+  }
+  if ($conf['index_posted_date_icon'])
+  {
+    $chronology_params['chronology_field'] = 'posted';
+    $template->assign(
+      'U_MODE_POSTED',
+      duplicate_index_url( $chronology_params, array('start', 'flat') )
+      );
+  }
 }
 else
@@ -145,12 +150,15 @@
     $chronology_field = 'created';
   }
-  $url = duplicate_index_url(
-            array('chronology_field'=>$chronology_field ),
-            array('chronology_date', 'start', 'flat')
-          );
-  $template->assign(
-      'U_MODE_'.strtoupper($chronology_field),
-      $url
-    );
+  if ($conf['index_'.$chronology_field.'_date_icon'])
+  {
+    $url = duplicate_index_url(
+              array('chronology_field'=>$chronology_field ),
+              array('chronology_date', 'start', 'flat')
+            );
+    $template->assign(
+        'U_MODE_'.strtoupper($chronology_field),
+        $url
+      );
+  }
 }
 
@@ -219,5 +227,6 @@
 $template->assign( 'navbar', $page['navigation_bar'] );
 
-if ( count($page['items']) > 0
+if ( $conf['index_sort_order_input']
+    and count($page['items']) > 0
     and $page['section'] != 'most_visited'
     and $page['section'] != 'best_rated')
@@ -279,5 +288,5 @@
     redirect($page['cat_slideshow_url']);
   }
-  else
+  elseif ($conf['index_slideshow_icon'])
   {
     $template->assign('U_SLIDESHOW', $page['cat_slideshow_url']);
Index: /trunk/install/config.sql
===================================================================
--- /trunk/install/config.sql	(revision 5292)
+++ /trunk/install/config.sql	(revision 5293)
@@ -33,4 +33,15 @@
 INSERT INTO piwigo_config (param,value,comment) VALUES ('extents_for_templates','a:0:{}','Actived template-extension(s)');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('blk_menubar','','Menubar options');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('menubar_filter_icon','true','Display filter icon');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('index_sort_order_input','true','Display image order selection list');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('index_flat_icon','true','Display flat icon');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('index_posted_date_icon','true','Display calendar by posted date');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('index_created_date_icon','true','Display calendar by creation date icon');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('index_slideshow_icon','true','Display slideshow icon');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_metadata_icon','true','Display metadata icon on picture page');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_slideshow_icon','true','Display slideshow icon on picture page');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_favorite_icon','true','Display favorite icon on picture page');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_navigation_icons','true','Display navigation icons on picture page');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_navigation_thumb','true','Display navigation thumbnails on picture page');
 
 INSERT INTO piwigo_themes (id, name) VALUES ('Sylvia', 'Sylvia');
Index: /trunk/install/db/87-database.php
===================================================================
--- /trunk/install/db/87-database.php	(revision 5293)
+++ /trunk/install/db/87-database.php	(revision 5293)
@@ -0,0 +1,54 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined("PHPWG_ROOT_PATH"))
+{
+  die('Hacking attempt!');
+}
+
+$upgrade_description = 'Add display configuration options.';
+
+$query = '
+INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
+  VALUES
+    ("menubar_filter_icon","true","Display filter icon"),
+    ("index_sort_order_input","true","Display image order selection list"),
+    ("index_flat_icon","true","Display flat icon"),
+    ("index_posted_date_icon","true","Display calendar by posted date"),
+    ("index_created_date_icon","true","Display calendar by creation date icon"),
+    ("index_slideshow_icon","true","Display slideshow icon"),
+    ("picture_metadata_icon","true","Display metadata icon on picture page"),
+    ("picture_slideshow_icon","true","Display slideshow icon on picture page"),
+    ("picture_favorite_icon","true","Display favorite icon on picture page"),
+    ("picture_navigation_icons","true","Display navigation icons on picture page"),
+    ("picture_navigation_thumb","true","Display navigation thumbnails on picture page")
+;';
+
+pwg_query($query);
+
+echo
+"\n"
+. $upgrade_description
+."\n"
+;
+?>
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 5292)
+++ /trunk/language/en_UK/admin.lang.php	(revision 5293)
@@ -680,3 +680,9 @@
 $lang['Set as default theme for unregistered and new users'] = "Set as default theme for unregistered and new users";
 $lang['unknown'] = 'unknown';
+
+$lang['Guest Settings'] = 'Guest Settings';
+$lang['Main Page'] = 'Main Page';
+$lang['Photo Page'] = 'Photo Page';
+$lang['Navigation Bar'] = 'Navigation Bar';
+$lang['Navigation Thumbnails'] = 'Navigation Thumbnails';
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 5292)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 5293)
@@ -679,3 +679,9 @@
 $lang['Set as default theme for unregistered and new users'] = "Thème par défaut pour les invités et les nouveaux utilisateurs";
 $lang['unknown'] = 'inconnu';
+
+$lang['Guest Settings'] = 'Paramètres invité';
+$lang['Main Page'] = 'Page Principale';
+$lang['Photo Page'] = 'Page de la Photo';
+$lang['Navigation Bar'] = 'Barre de navigation';
+$lang['Navigation Thumbnails'] = 'Miniatures de navigation';
 ?>
Index: /trunk/picture.php
===================================================================
--- /trunk/picture.php	(revision 5292)
+++ /trunk/picture.php	(revision 5293)
@@ -717,5 +717,5 @@
   $template->assign('slideshow', $tpl_slideshow );
 }
-else
+elseif ($conf['picture_slideshow_icon'])
 {
   $template->assign(
@@ -740,7 +740,13 @@
     'U_HOME' => make_index_url(),
     'U_UP' => $url_up,
-    'U_METADATA' => $url_metadata,
+    'DISPLAY_NAV_BUTTONS' => $conf['picture_navigation_icons'],
+    'DISPLAY_NAV_THUMB' => $conf['picture_navigation_thumb']
     )
   );
+
+if ($conf['picture_metadata_icon'])
+{
+  $template->assign('U_METADATA', $url_metadata);
+}
 
 
Index: /trunk/themes/default/template/picture.tpl
===================================================================
--- /trunk/themes/default/template/picture.tpl	(revision 5292)
+++ /trunk/themes/default/template/picture.tpl	(revision 5293)
@@ -47,5 +47,7 @@
       <a href="{$U_SLIDESHOW_STOP}" title="{'stop the slideshow'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_slideshow.png" class="button" alt="{'stop the slideshow'|@translate}"></a>
     {/if}
+    {if isset($U_METADATA) }
       <a href="{$U_METADATA}" title="{'Show file metadata'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/metadata.png" class="button" alt="metadata"></a>
+    {/if}
     {if isset($current.U_DOWNLOAD) }
       <a href="{$current.U_DOWNLOAD}" title="{'download'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/save.png" class="button" alt="{'download'|@translate}"></a>
@@ -99,4 +101,5 @@
 </div>
 
+{if $DISPLAY_NAV_THUMB}
 {if isset($previous) }
 <a class="navThumb" id="linkPrev" href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE}" rel="prev">
@@ -108,4 +111,5 @@
   <img src="{$next.THUMB_SRC}" alt="{$next.TITLE}">
 </a>
+{/if}
 {/if}
 
Index: /trunk/themes/default/template/picture_nav_buttons.tpl
===================================================================
--- /trunk/themes/default/template/picture_nav_buttons.tpl	(revision 5292)
+++ /trunk/themes/default/template/picture_nav_buttons.tpl	(revision 5293)
@@ -1,4 +1,5 @@
   <div class="navButtons">
-  
+
+{if $DISPLAY_NAV_BUTTONS and !isset($slideshow)}
 {if isset($last)}
   <a class="navButton" href="{$last.U_IMG}" title="{'Last'|@translate} : {$last.TITLE}" rel="last"><img src="{$ROOT_URL}{$themeconf.icon_dir}/last.png" class="button" alt="{'Last'|@translate}"></a>
@@ -59,4 +60,5 @@
   {/if}
 {/if}
+{/if}
 
   </div>