Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 5293)
+++ /trunk/language/en_UK/admin.lang.php	(revision 5294)
@@ -61,5 +61,4 @@
 $lang['Allow user registration'] = "Allow user registration";
 $lang['Apply to subcategories'] = "Apply to subcategories";
-$lang['Are you sure?'] = "Are you sure?";
 $lang['Associated'] = "Associated";
 $lang['Association to categories'] = "Association to categories";
@@ -629,5 +628,4 @@
 $lang['All optimizations have been successfully completed.'] = "All optimizations have been successfully completed.";
 $lang['Optimizations have been completed with some errors.'] = "Optimizations have been completed with some errors.";
-$lang['delete this comment'] = "delete this comment";
 $lang['Modify information'] = "Modify information";
 $lang['edit category informations'] = "edit category informations";
@@ -660,5 +658,4 @@
 $lang['Password is missing. Please enter the password.'] = "Password is missing. Please enter the password.";
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = "Password confirmation is missing. Please confirm the chosen password.";
-$lang['Email address is missing. Please specify an email address.'] = "Email address is missing. Please specify an email address.";
 $lang['Password confirmation error.'] = "Password confirmation error.";
 $lang['Allow users to edit theirs owns comments'] = "Allow users to edit theirs owns comments";
@@ -681,4 +678,73 @@
 $lang['unknown'] = 'unknown';
 
+$lang['Upload Form'] = 'Upload Form';
+$lang['Upload Photos'] = 'Upload Photos';
+$lang['Drop into category'] = 'Drop into category';
+$lang['+ Add an upload box'] = '+ Add an upload box';
+$lang['Upload'] = 'Upload';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Create the "%s" directory at the root of your Piwigo installation';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation';
+$lang['existing category'] = 'existing category';
+$lang['create a new category'] = 'create a new category';
+$lang['Category name'] = 'Category name';
+$lang['Category "%s" has been added'] = 'Category "%s" has been added';
+$lang['Uploaded Photos'] = 'Uploaded Photos';
+$lang['%d photos uploaded'] = '%d photos uploaded';
+$lang['Privacy level set to "%s"'] = 'Privacy level set to "%s"';
+$lang['Category "%s" now contains %d photos'] = 'Category "%s" now contains %d photos';
+$lang['Manage this set of %d photos'] = 'Manage this set of %d photos';
+$lang['Select files'] = 'Select files';
+$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEG files or ZIP archives with JPEG files inside please.';
+$lang['Everybody'] = 'Everybody';
+$lang['Who can see these photos?'] = 'Who can see these photos?';
+$lang['... or switch to the old style form'] = '... or switch to the old style form';
+$lang['... or switch to the multiple files form'] = '... or switch to the multiple files form';
+
+$lang['The websize maximum width must be a number between %d and %d'] = 'The websize maximum width must be a number between %d and %d';
+$lang['The websize maximum height must be a number between %d and %d'] = 'The websize maximum height must be a number between %d and %d';
+$lang['The websize image quality must be a number between %d and %d'] = 'The websize image quality must be a number between %d and %d';
+$lang['The thumbnail maximum width must be a number between %d and %d'] = 'The thumbnail maximum width must be a number between %d and %d';
+$lang['The thumbnail maximum height must be a number between %d and %d'] = 'The thumbnail maximum height must be a number between %d and %d';
+$lang['The thumbnail image quality must be a number between %d and %d'] = 'The thumbnail image quality must be a number between %d and %d';
+$lang['Settings'] = 'Settings';
+$lang['Web size photo'] = 'Web size photo';
+$lang['Resize'] = 'Resize';
+$lang['Maximum Width'] = 'Maximum Width';
+$lang['pixels'] = 'pixels';
+$lang['Maximum Height'] = 'Maximum Height';
+$lang['Image Quality'] = 'Image Quality';
+$lang['Thumbnail'] = 'Thumbnail';
+$lang['Save Settings'] = 'Save Settings';
+$lang['Your configuration settings are saved'] = 'Your configuration settings are saved';
+
+$lang['Active Themes'] = 'Active Themes';
+$lang['Add write access to the "%s" directory'] = 'Add write access to the "%s" directory';
+$lang['Administration Home'] = 'Administration Home';
+$lang['Categories ordered alphanumerically'] = 'Categories ordered alphanumerically';
+$lang['Categories ordered alphanumerically reverse'] = 'Categories ordered alphanumerically reverse';
+$lang['Change Admin Colors'] = 'Change Admin Colors';
+$lang['Delete this theme'] = 'Delete this theme';
+$lang['Directory does not exist'] = 'Directory does not exist';
+$lang['Download,'] = 'Download,';
+$lang['FTP + Synchronization'] = 'FTP + Synchronization';
+$lang['Get Support on Piwigo Forum'] = 'Get Support on Piwigo Forum';
+$lang['Help Me'] = 'Help Me';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Impossible to activate this theme, the parent theme is missing: %s';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Impossible to delete this theme. Other themes depends on it: %s';
+$lang['Inactive Themes'] = 'Inactive Themes';
+$lang['Install on your computer,'] = 'Install on your computer,';
+$lang['Make this theme available to users'] = 'Make this theme available to users';
+$lang['Page end'] = 'Page end';
+$lang['Piwigo Uploader'] = 'Piwigo Uploader';
+$lang['Processing treatment.\nPlease wait...'] = 'Processing treatment.\nPlease wait...';
+$lang['Read Piwigo Documentation'] = 'Read Piwigo Documentation';
+$lang['Start pLoader and add your photos.'] = 'Start pLoader and add your photos.';
+$lang['Switch to clear or dark colors for administration'] = 'Switch to clear or dark colors for administration';
+$lang['Theme has been successfully installed'] = 'Theme has been successfully installed';
+$lang['Upgrade from %s to %s'] = 'Upgrade from %s to %s';
+$lang['Upload photos'] = 'Upload photos';
+$lang['Visit Gallery'] = 'Visit Gallery';
+$lang['Visit Piwigo project website'] = 'Visit Piwigo project website';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.';
 $lang['Guest Settings'] = 'Guest Settings';
 $lang['Main Page'] = 'Main Page';
Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 5293)
+++ /trunk/language/en_UK/common.lang.php	(revision 5294)
@@ -373,3 +373,17 @@
 $lang['edit this comment'] = "edit this comment";
 $lang['Edit a comment'] = "Edit a comment";
+$lang['Are you sure?'] = "Are you sure?";
+$lang['(!) This comment requires validation'] = '(!) This comment requires validation';
+$lang['Welcome'] = 'Welcome';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Welcome to your Piwigo photo gallery!';
+$lang['... or browse your empty gallery'] = '... or browse your empty gallery';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... or please deactivate this message, I will find my way by myself';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hello %s, your Piwigo photo gallery is empty!';
+$lang['I want to add photos'] = 'I want to add photos';
+$lang['Manage this user comment: %s'] = 'Manage this user comment: %s';
+$lang['Email address is missing. Please specify an email address.'] = "Email address is missing. Please specify an email address.";
+$lang['This author modified following comment:'] = 'This author modified following comment:';
+$lang['This author removed the comment with id %d'] = 'This author removed the comment with id %d';
+$lang['delete this comment'] = "delete this comment";
+$lang['validate this comment'] = 'validate this comment';
 ?>