Index: trunk/themes/default/template/mail/text/html/notification_by_mail.tpl
===================================================================
--- trunk/themes/default/template/mail/text/html/notification_by_mail.tpl	(revision 5292)
+++ trunk/themes/default/template/mail/text/html/notification_by_mail.tpl	(revision 5295)
@@ -1,5 +1,5 @@
 <div id="nbm_message">
 <h2>{'Notification'|@translate}</h2>
-<p>{'Hello '|@translate}{$USERNAME},</p>
+<p>{'Hello'|@translate} {$USERNAME},</p>
 
 {if isset($subscribe_by_admin)}
@@ -16,8 +16,8 @@
 {/if}
 {if isset($content_new_elements_single)}
-<p>{'New elements were added '|@translate}{' on '|@translate}{$content_new_elements_single.DATE_SINGLE}.</p>
+<p>{'New elements were added '|@translate} {'on'|@translate} {$content_new_elements_single.DATE_SINGLE}.</p>
 {/if}
 {if isset($content_new_elements_between)}
-<p>{'New elements were added '|@translate}{' between '|@translate}{$content_new_elements_between.DATE_BETWEEN_1}{' and '|@translate}{$content_new_elements_between.DATE_BETWEEN_2}.</p>
+<p>{'New elements were added '|@translate} {'between'|@translate} {$content_new_elements_between.DATE_BETWEEN_1} {'and'|@translate} {$content_new_elements_between.DATE_BETWEEN_2}.</p>
 {/if}
 
@@ -35,5 +35,5 @@
 
 {if not empty($GOTO_GALLERY_TITLE)}
-<p>{'Go to '|@translate}<a href="{$GOTO_GALLERY_URL}">{$GOTO_GALLERY_TITLE}</a>.</p>
+<p>{'Go to'|@translate} <a href="{$GOTO_GALLERY_URL}">{$GOTO_GALLERY_TITLE}</a>.</p>
 {/if}
 <p>{'See you soon,'|@translate}</p>
@@ -41,6 +41,6 @@
 <p>
 <br><hr>
-{'To unsubscribe'|@translate}{', click on '|@translate}<a href="{$UNSUBSCRIBE_LINK}">{$UNSUBSCRIBE_LINK}</a><br>
-{'To subscribe '|@translate}{', click on '|@translate}<a href="{$SUBSCRIBE_LINK}">{$SUBSCRIBE_LINK}</a><br>
+{'To unsubscribe'|@translate}{', click on'|@translate} <a href="{$UNSUBSCRIBE_LINK}">{$UNSUBSCRIBE_LINK}</a><br>
+{'To subscribe '|@translate}{', click on'|@translate} <a href="{$SUBSCRIBE_LINK}">{$SUBSCRIBE_LINK}</a><br>
 {'If you encounter problems or have any question, please send a message to'|@translate} <a href="mailto:{$CONTACT_EMAIL}?subject={'[NBM] Problems or questions'|@translate}">{$CONTACT_EMAIL}</a><br>
 <hr><br>
Index: trunk/themes/default/template/mail/text/plain/notification_by_mail.tpl
===================================================================
--- trunk/themes/default/template/mail/text/plain/notification_by_mail.tpl	(revision 5292)
+++ trunk/themes/default/template/mail/text/plain/notification_by_mail.tpl	(revision 5295)
@@ -1,3 +1,3 @@
-{'Hello '|@translate}{$USERNAME},
+{'Hello'|@translate} {$USERNAME},
 
 {if isset($subscribe_by_admin)}
@@ -14,8 +14,8 @@
 {/if}
 {if isset($content_new_elements_single)}
-{'New elements were added '|@translate}{' on '|@translate}{$content_new_elements_single.DATE_SINGLE}.
+{'New elements were added '|@translate} {'on'|@translate} {$content_new_elements_single.DATE_SINGLE}.
 {/if}
 {if isset($content_new_elements_between)}
-{'New elements were added '|@translate}{' between '|@translate}{$content_new_elements_between.DATE_BETWEEN_1}{' and '|@translate}{$content_new_elements_between.DATE_BETWEEN_2}.
+{'New elements were added '|@translate} {'between'|@translate} {$content_new_elements_between.DATE_BETWEEN_1} {'and'|@translate} {$content_new_elements_between.DATE_BETWEEN_2}.
 {/if}
 {if not empty($global_new_lines)}
@@ -28,5 +28,5 @@
 {/if}
 {if not empty($GOTO_GALLERY_TITLE)}
-{'.'|@translate}{$GOTO_GALLERY_TITLE} {$GOTO_GALLERY_URL} {'.'|@translate}
+.{$GOTO_GALLERY_TITLE} {$GOTO_GALLERY_URL} .
 {/if}
 
@@ -36,6 +36,6 @@
 ______________________________________________________________________________
 
-{'To unsubscribe'|@translate}{', click on '|@translate}{$UNSUBSCRIBE_LINK}
-{'To subscribe'|@translate}{', click on '|@translate}{$SUBSCRIBE_LINK}
+{'To unsubscribe'|@translate}{', click on'|@translate} {$UNSUBSCRIBE_LINK}
+{'To subscribe'|@translate}{', click on'|@translate} {$SUBSCRIBE_LINK}
 {'If you encounter problems or have any question, please send a message to'|@translate} {$CONTACT_EMAIL}
 ______________________________________________________________________________