Index: /trunk/admin/plugins_new.php
===================================================================
--- /trunk/admin/plugins_new.php	(revision 5296)
+++ /trunk/admin/plugins_new.php	(revision 5297)
@@ -72,5 +72,5 @@
       array_push($page['errors'],
         sprintf(l10n('An error occured during extraction (%s).'), $_GET['installstatus']),
-        l10n('Please check \"plugins\" folder and sub-folders permissions (CHMOD).'));
+        l10n('Please check "plugins" folder and sub-folders permissions (CHMOD).'));
   }  
 }
Index: /trunk/language/templates/admin.lang.php
===================================================================
--- /trunk/language/templates/admin.lang.php	(revision 5296)
+++ /trunk/language/templates/admin.lang.php	(revision 5297)
@@ -271,10 +271,10 @@
 $lang['nbm_complementary_mail_content'] = 'Complementary mail content';
 $lang['nbm_content_byebye'] = 'See you soon,';
-$lang['nbm_content_goto_1'] = 'Go to ';
-$lang['nbm_content_hello_1'] = 'Hello ';
-$lang['nbm_content_new_elements'] = 'New elements were added ';
-$lang['nbm_content_new_elements_single'] = ' on ';
-$lang['nbm_content_new_elements_between_1'] = 'between ';
-$lang['nbm_content_new_elements_between_2'] = ' and ';
+$lang['nbm_content_goto_1'] = 'Go to';
+$lang['nbm_content_hello_1'] = 'Hello';
+$lang['nbm_content_new_elements'] = 'New elements were added';
+$lang['nbm_content_new_elements_single'] = 'on';
+$lang['nbm_content_new_elements_between_1'] = 'between';
+$lang['nbm_content_new_elements_between_2'] = 'and';
 $lang['nbm_content_subscribe_by_admin'] = 'The webmaster has subscribed you to receiving notifications by mail.';
 $lang['nbm_content_subscribe_by_himself'] = 'You have subscribed to receiving notifications by mail.';
Index: /trunk/themes/default/template/mail/text/html/notification_by_mail.tpl
===================================================================
--- /trunk/themes/default/template/mail/text/html/notification_by_mail.tpl	(revision 5296)
+++ /trunk/themes/default/template/mail/text/html/notification_by_mail.tpl	(revision 5297)
@@ -16,8 +16,8 @@
 {/if}
 {if isset($content_new_elements_single)}
-<p>{'New elements were added '|@translate} {'on'|@translate} {$content_new_elements_single.DATE_SINGLE}.</p>
+<p>{'New elements were added'|@translate} {'on'|@translate} {$content_new_elements_single.DATE_SINGLE}.</p>
 {/if}
 {if isset($content_new_elements_between)}
-<p>{'New elements were added '|@translate} {'between'|@translate} {$content_new_elements_between.DATE_BETWEEN_1} {'and'|@translate} {$content_new_elements_between.DATE_BETWEEN_2}.</p>
+<p>{'New elements were added'|@translate} {'between'|@translate} {$content_new_elements_between.DATE_BETWEEN_1} {'and'|@translate} {$content_new_elements_between.DATE_BETWEEN_2}.</p>
 {/if}
 
@@ -42,5 +42,5 @@
 <br><hr>
 {'To unsubscribe'|@translate}{', click on'|@translate} <a href="{$UNSUBSCRIBE_LINK}">{$UNSUBSCRIBE_LINK}</a><br>
-{'To subscribe '|@translate}{', click on'|@translate} <a href="{$SUBSCRIBE_LINK}">{$SUBSCRIBE_LINK}</a><br>
+{'To subscribe'|@translate}{', click on'|@translate} <a href="{$SUBSCRIBE_LINK}">{$SUBSCRIBE_LINK}</a><br>
 {'If you encounter problems or have any question, please send a message to'|@translate} <a href="mailto:{$CONTACT_EMAIL}?subject={'[NBM] Problems or questions'|@translate}">{$CONTACT_EMAIL}</a><br>
 <hr><br>
Index: /trunk/themes/default/template/mail/text/plain/notification_by_mail.tpl
===================================================================
--- /trunk/themes/default/template/mail/text/plain/notification_by_mail.tpl	(revision 5296)
+++ /trunk/themes/default/template/mail/text/plain/notification_by_mail.tpl	(revision 5297)
@@ -14,8 +14,8 @@
 {/if}
 {if isset($content_new_elements_single)}
-{'New elements were added '|@translate} {'on'|@translate} {$content_new_elements_single.DATE_SINGLE}.
+{'New elements were added'|@translate} {'on'|@translate} {$content_new_elements_single.DATE_SINGLE}.
 {/if}
 {if isset($content_new_elements_between)}
-{'New elements were added '|@translate} {'between'|@translate} {$content_new_elements_between.DATE_BETWEEN_1} {'and'|@translate} {$content_new_elements_between.DATE_BETWEEN_2}.
+{'New elements were added'|@translate} {'between'|@translate} {$content_new_elements_between.DATE_BETWEEN_1} {'and'|@translate} {$content_new_elements_between.DATE_BETWEEN_2}.
 {/if}
 {if not empty($global_new_lines)}