Index: /trunk/admin/themes/default/template/configuration.tpl
===================================================================
--- /trunk/admin/themes/default/template/configuration.tpl	(revision 5297)
+++ /trunk/admin/themes/default/template/configuration.tpl	(revision 5298)
@@ -209,5 +209,5 @@
     <li>
       <label>
-        <span class="property">{'display only recently posted images'|@translate|@ucfirst}</span>
+        <span class="property">{'display only recently posted images'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
         <input type="checkbox" name="menubar_filter_icon" {if ($display.menubar_filter_icon)}checked="checked"{/if}>
       </label>
@@ -216,5 +216,5 @@
     <li>
       <label>
-        <span class="property">{'Sort order'|@translate}</span>
+        <span class="property">{'Sort order'|@translate|@string_format:$pwg->l10n('Activate field "%s"')}</span>
         <input type="checkbox" name="index_sort_order_input" {if ($display.index_sort_order_input)}checked="checked"{/if}>
       </label>
@@ -223,5 +223,5 @@
     <li>
       <label>
-        <span class="property">{'display all elements in all sub-categories'|@translate|@ucfirst}</span>
+        <span class="property">{'display all elements in all sub-categories'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
         <input type="checkbox" name="index_flat_icon" {if ($display.index_flat_icon)}checked="checked"{/if}>
       </label>
@@ -230,5 +230,5 @@
     <li>
       <label>
-        <span class="property">{'display a calendar by posted date'|@translate|@ucfirst}</span>
+        <span class="property">{'display a calendar by posted date'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
         <input type="checkbox" name="index_posted_date_icon" {if ($display.index_posted_date_icon)}checked="checked"{/if}>
       </label>
@@ -237,5 +237,5 @@
     <li>
       <label>
-        <span class="property">{'display a calendar by creation date'|@translate|@ucfirst}</span>
+        <span class="property">{'display a calendar by creation date'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
         <input type="checkbox" name="index_created_date_icon" {if ($display.index_created_date_icon)}checked="checked"{/if}>
       </label>
@@ -244,5 +244,5 @@
     <li>
       <label>
-        <span class="property">{'slideshow'|@translate|@ucfirst}</span>
+        <span class="property">{'slideshow'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
         <input type="checkbox" name="index_slideshow_icon" {if ($display.index_slideshow_icon)}checked="checked"{/if}>
       </label>
@@ -256,5 +256,12 @@
     <li>
       <label>
-        <span class="property">{'Show file metadata'|@translate}</span>
+        <span class="property">{'slideshow'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
+        <input type="checkbox" name="picture_slideshow_icon" {if ($display.picture_slideshow_icon)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'Show file metadata'|@translate|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
         <input type="checkbox" name="picture_metadata_icon" {if ($display.picture_metadata_icon)}checked="checked"{/if}>
       </label>
@@ -263,12 +270,5 @@
     <li>
       <label>
-        <span class="property">{'slideshow'|@translate}</span>
-        <input type="checkbox" name="picture_slideshow_icon" {if ($display.picture_slideshow_icon)}checked="checked"{/if}>
-      </label>
-    </li>
-
-    <li>
-      <label>
-        <span class="property">{'add this image to your favorites'|@translate|@ucfirst}</span>
+        <span class="property">{'add this image to your favorites'|@translate|@ucfirst|@string_format:$pwg->l10n('Activate icon "%s"')}</span>
         <input type="checkbox" name="picture_favorite_icon" {if ($display.picture_favorite_icon)}checked="checked"{/if}>
       </label>
@@ -277,5 +277,5 @@
     <li>
       <label>
-        <span class="property">{'Navigation Bar'|@translate|@ucfirst}</span>
+        <span class="property">{'Activate Navigation Bar'|@translate}</span>
         <input type="checkbox" name="picture_navigation_icons" {if ($display.picture_navigation_icons)}checked="checked"{/if}>
       </label>
@@ -284,5 +284,5 @@
     <li>
       <label>
-        <span class="property">{'Navigation Thumbnails'|@translate|@ucfirst}</span>
+        <span class="property">{'Activate Navigation Thumbnails'|@translate}</span>
         <input type="checkbox" name="picture_navigation_thumb" {if ($display.picture_navigation_thumb)}checked="checked"{/if}>
       </label>
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 5297)
+++ /trunk/language/en_UK/admin.lang.php	(revision 5298)
@@ -748,5 +748,7 @@
 $lang['Main Page'] = 'Main Page';
 $lang['Photo Page'] = 'Photo Page';
-$lang['Navigation Bar'] = 'Navigation Bar';
-$lang['Navigation Thumbnails'] = 'Navigation Thumbnails';
+$lang['Activate Navigation Bar'] = 'Activate Navigation Bar';
+$lang['Activate Navigation Thumbnails'] = 'Activate Navigation Thumbnails';
+$lang['Activate icon "%s"'] = 'Activate icon "%s"';
+$lang['Activate field "%s"'] = 'Activate field "%s"';
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 5297)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 5298)
@@ -681,5 +681,7 @@
 $lang['Main Page'] = 'Page Principale';
 $lang['Photo Page'] = 'Page de la Photo';
-$lang['Navigation Bar'] = 'Barre de navigation';
-$lang['Navigation Thumbnails'] = 'Miniatures de navigation';
+$lang['Activate Navigation Bar'] = 'Activer la barre de navigation';
+$lang['Activate Navigation Thumbnails'] = 'Activer les miniatures de navigation';
+$lang['Activate icon "%s"'] = 'Activer l\'icone "%s"';
+$lang['Activate field "%s"'] = 'Activer le champ "%s"';
 ?>