Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 5299)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 5300)
@@ -61,5 +61,4 @@
 $lang['Allow user registration'] = "Permettre l'enregistrement des utilisateurs";
 $lang['Apply to subcategories'] = "Appliquer aux sous-catégories";
-$lang['Are you sure?'] = "Etes-vous sur?";
 $lang['Associated'] = "Associée à";
 $lang['Association to categories'] = "Association aux catégories";
@@ -626,5 +625,4 @@
 $lang['All optimizations have been successfully completed.'] = "Toutes les optimisations ont été réalisées avec succès.";
 $lang['Optimizations have been completed with some errors.'] = "Certaines optimisations se sont terminées avec des erreurs.";
-$lang['delete this comment'] = "supprimer ce commentaire";
 $lang['Modify information'] = "Modifier les informations";
 $lang['edit category informations'] = "éditer les informations de cette catégorie";
@@ -657,5 +655,4 @@
 $lang['Password is missing. Please enter the password.'] = "Le mot de passe manque. Veuillez saisir le mot de passe.";
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = "La confirmation du mot de passe manque. Veuillez confirmer le mot de passe choisi.";
-$lang['Email address is missing. Please specify an email address.'] = "L'adresse email manque. Veuillez spécifier une adresse email.";
 $lang['Password confirmation error.'] = "Erreur de confirmation du mot de passe.";
 $lang['Allow users to edit theirs owns comments'] = "Autoriser les utilisateurs à modifier leurs propres commentaires";
@@ -665,4 +662,6 @@
 $lang['Cannot delete the old permalink !'] = "Impossible de supprimer cet ancien lien permanent !";
 $lang['Hit'] = "score";
+
+
 
 $lang['Tools'] = "Outils";
@@ -678,4 +677,45 @@
 $lang['unknown'] = 'inconnu';
 
+$lang['Upload Form'] = 'Formulaire de transfert';
+$lang['Upload Photos'] = 'Ajoutez vos photos';
+$lang['Drop into category'] = 'Choisir une catégorie';
+$lang['+ Add an upload box'] = '+ Ajouter une autre boîte de transfert';
+$lang['Upload'] = 'Transférer';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = 'Créez le répertoire "%s" à la racine de votre installation Piwigo';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Donnez les droits en écriture (chmod 777) sur le répertoire "%s" à la racine de votre installation Piwigo';
+$lang['existing category'] = 'catégorie existante';
+$lang['create a new category'] = 'créer une nouvelle catégorie';
+$lang['Category name'] = 'Nom de la catégorie';
+$lang['Category "%s" has been added'] = 'La catégorie "%s" a été ajoutée';
+$lang['Uploaded Photos'] = 'Photos ajoutées ';
+$lang['%d photos uploaded'] = '%d photos ajoutées';
+$lang['Privacy level set to "%s"'] = 'Niveau de confidentialité "%s"';
+$lang['Category "%s" now contains %d photos'] = 'La catégorie "%s" contient désormais %d photos';
+$lang['Manage this set of %d photos'] = 'Gérer ce lot de %d photos';
+$lang['Select files'] = 'Choisir des fichiers';
+$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'Fichiers JPEG ou archives ZIP avec des fichiers JPEG dedans s\'il vous plaît.';
+$lang['Everybody'] = 'Tout le monde';
+$lang['Who can see these photos?'] = 'Qui peut voir ces photos ?';
+$lang['... or switch to the old style form'] = '... ou passer sur le formulaire "à l\'ancienne"';
+$lang['... or switch to the multiple files form'] = '... ou passer sur le formulaire multi-fichier';
+
+$lang['The websize maximum width must be a number between %d and %d'] = 'La largeur maximum pour la photo taille web doit être un chiffre compris entre %d et %d';
+$lang['The websize maximum height must be a number between %d and %d'] = 'La hauteur maximum pour la photo taille web doit être un chiffre compris entre %d et %d';
+$lang['The websize image quality must be a number between %d and %d'] = 'La qualité d\'image pour la photo taille web doit être un chiffre compris entre %d et %d';
+$lang['The thumbnail maximum width must be a number between %d and %d'] = 'La largeur maximum pour la miniature doit être un chiffre compris entre %d et %d';
+$lang['The thumbnail maximum height must be a number between %d and %d'] = 'La hauteur maximum pour la miniature doit être un chiffre compris entre %d et %d';
+$lang['The thumbnail image quality must be a number between %d and %d'] = 'La qualité d\'image pour la miniature doit être un chiffre compris entre %d et %d';
+
+$lang['Settings'] = 'Configuration';
+$lang['Web size photo'] = 'Photo taille web';
+$lang['Resize'] = 'Redimensionner';
+$lang['Maximum Width'] = 'Largeur maximum';
+$lang['pixels'] = 'pixels';
+$lang['Maximum Height'] = 'Hauteur maximum';
+$lang['Image Quality'] = 'Qualité d\'image';
+$lang['Thumbnail'] = 'Miniature';
+$lang['Save Settings'] = 'Enregistrer les paramètres';
+$lang['Your configuration settings are saved'] = 'Vos paramètres de configurations sont enregistrés';
+
 $lang['Guest Settings'] = 'Paramètres invité';
 $lang['Main Page'] = 'Page Principale';
@@ -685,3 +725,32 @@
 $lang['Activate icon "%s"'] = 'Activer l\'icone "%s"';
 $lang['Activate field "%s"'] = 'Activer le champ "%s"';
+
+$lang['Active Themes'] = 'Thèmes activés';
+$lang['Add write access to the "%s" directory'] = 'Ajoutez l\'accès en écriture pour le répertoire "%s"';
+$lang['Administration Home'] = 'Accueil administration';
+$lang['Categories ordered alphanumerically'] = 'Catégories triés par ordre alphabétique';
+$lang['Categories ordered alphanumerically reverse'] = 'Catégories triés par ordre alphabétique inversé';
+$lang['Change Admin Colors'] = 'Modifier les couleurs de l\'administration';
+$lang['Delete this theme'] = 'Supprimer ce thème';
+$lang['Directory does not exist'] = 'Le répertoire n\'existe pas';
+$lang['Download,'] = 'Téléchargez,';
+$lang['FTP + Synchronization'] = 'FTP + Synchronisation';
+$lang['Get Support on Piwigo Forum'] = 'Trouver de l\'aide sur le forum Piwigo';
+$lang['Help Me'] = 'A l\'aide';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'Impossible d\'activer ce thème, le thème parent est manquant : %s';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Impossible de supprimer ce thème, d\'autres thème dépendent de lui : %s';
+$lang['Inactive Themes'] = 'Thèmes désactivés';
+$lang['Install on your computer,'] = 'Installez sur votre ordinateur,';
+$lang['Make this theme available to users'] = 'Rendre ce thème disponible aux utilisateurs';
+$lang['Page end'] = 'Fin de la page';
+$lang['Piwigo Uploader'] = 'Piwigo Uploader';
+$lang['Processing treatment.\nPlease wait...'] = 'Traitement en cours.\nVeuillez patienter...';
+$lang['Read Piwigo Documentation'] = 'Lire la documentation Piwigo';
+$lang['Start pLoader and add your photos.'] = 'Démarrez pLoader et ajoutez vos photos.';
+$lang['Switch to clear or dark colors for administration'] = 'Passer à des couleurs claires ou sombres pour l\'administration';
+$lang['Theme has been successfully installed'] = 'Le thème a été installé avec succès';
+$lang['Upgrade from %s to %s'] = 'Mis à jour de %s vers %s';
+$lang['Visit Gallery'] = 'Visiter la galerie';
+$lang['Visit Piwigo project website'] = 'Visiter le site web du projet Piwigo';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader signifie <em>Piwigo Uploader</em>. Depuis votre ordinateur, pLoader prépare vos photos et les transfert vers votre galerie photo Piwigo.';
 ?>
Index: /trunk/language/fr_FR/common.lang.php
===================================================================
--- /trunk/language/fr_FR/common.lang.php	(revision 5299)
+++ /trunk/language/fr_FR/common.lang.php	(revision 5300)
@@ -373,3 +373,17 @@
 $lang['edit this comment'] = "editer ce commentaire";
 $lang['Edit a comment'] = "Editer ce commentaire";
+$lang['Are you sure?'] = "Etes-vous sûr ?";
+$lang['Welcome'] = 'Bienvenue';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Bienvenue sur votre galerie photo Piwigo !';
+$lang['... or browse your empty gallery'] = '... ou naviguez sur votre galerie vide';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... ou désactivez ce message, je me débrouillerai par moi-même';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Bonjour %s, votre galerie photo Piwigo est vide !';
+$lang['I want to add photos'] = 'Je veux ajouter des photos';
+$lang['Manage this user comment: %s'] = 'Gérer ce commentaire : %s';
+$lang['Email address is missing. Please specify an email address.'] = "L'adresse email manque. Veuillez spécifier une adresse email.";
+$lang['This author modified following comment:'] = 'Cet auteur a modifié le commentaire suivant :';
+$lang['This author removed the comment with id %d'] = 'Cet auteur a supprimé le commentaire portant l\'identifiant %d';
+$lang['delete this comment'] = "supprimer ce commentaire";
+$lang['validate this comment'] = 'valider ce commentaire';
+$lang['(!) This comment requires validation'] = '(!) Ce commentaire requiert une validation';
 ?>