Index: /extensions/pwgCumulus/language/hu_HU/description.txt
===================================================================
--- /extensions/pwgCumulus/language/hu_HU/description.txt	(revision 5303)
+++ /extensions/pwgCumulus/language/hu_HU/description.txt	(revision 5303)
@@ -0,0 +1,1 @@
+Hozzáad egy izgalmas címkefelhőt.
Index: /extensions/pwgCumulus/language/hu_HU/index.php
===================================================================
--- /extensions/pwgCumulus/language/hu_HU/index.php	(revision 5303)
+++ /extensions/pwgCumulus/language/hu_HU/index.php	(revision 5303)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pwgCumulus/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/hu_HU/plugin.lang.php	(revision 5303)
+++ /extensions/pwgCumulus/language/hu_HU/plugin.lang.php	(revision 5303)
@@ -0,0 +1,41 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009      Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['pwg_cumulus_title'] = "Cumulus Címkefelhő Flash bővítmény";
+$lang['pwg_cumulus_intro'] = "Ez a bővítmény 3D-ben forgatja a címkéket flash használatával. Címkefelhőként működik, izgalmas vizuális effekt.";
+$lang['pwg_cumulus_info'] = "Kiválaszthatja a címkék alapértelmezett megjelenési módját a konfigurációs fájl módosításával <strong>config_local.inc.php</strong>&nbsp;:&nbsp;<br>\$conf['tags_default_display_mode'] = 'cumulus';";
+$lang['pwg_cumulus_dimensions'] = "Animációs ablak méretei";
+$lang['pwg_cumulus_width'] = "Magasság";
+$lang['pwg_cumulus_height'] = "Szélesség";
+$lang['pwg_cumulus_tags_size'] = "Címkék méretaránya";
+$lang['pwg_cumulus_coeff'] = "Betűarány";
+$lang['pwg_cumulus_width_changed'] = "Magasság módosítva";
+$lang['pwg_cumulus_height_changed'] = "Szélesség módosítva";
+$lang['pwg_cumulus_coeff_changed'] = "Címke betüaránya módosítva";
+$lang['show tag cloud in cumulus mode'] = "Cumulus Flash címkefelhő";
+$lang['pwg_cumulus_color1'] = "Szín 1";
+$lang['pwg_cumulus_color2'] = "Szín 2";
+$lang['pwg_cumulus_hicolor'] = "Lebegő címke színe";
+$lang['pwg_cumulus_color1_changed'] = "Szín 1 módosítva";
+$lang['pwg_cumulus_color2_changed'] = "Szín 2 módosítva";
+$lang['pwg_cumulus_hicolor_changed'] = "Lebegő címke színe módosítva";
+$lang['pwg_cumulus_colors'] = "Cumulus színei";
+?>