Index: /trunk/admin/configuration.php
===================================================================
--- /trunk/admin/configuration.php	(revision 5303)
+++ /trunk/admin/configuration.php	(revision 5304)
@@ -90,4 +90,17 @@
   );
 
+$display_info_checkboxes = array(
+    'author',
+    'created_on',
+    'posted_on',
+    'dimensions',
+    'file',
+    'filesize',
+    'tags',
+    'categories',
+    'visits',
+    'average_rate',
+  );
+
 //------------------------------ verification and registration of modifications
 if (isset($_POST['submit']) and !is_adviser())
@@ -152,4 +165,10 @@
         $_POST[$checkbox] = empty($_POST[$checkbox])?'false':'true';
       }
+      foreach( $display_info_checkboxes as $checkbox)
+      {
+        $_POST['picture_informations'][$checkbox] =
+          empty($_POST['picture_informations'][$checkbox])? false : true;
+      }
+      $_POST['picture_informations'] = addslashes(serialize($_POST['picture_informations']));
       break;
     }
@@ -334,4 +353,11 @@
         );
     }
+    $template->append(
+        'display',
+        array(
+          'picture_informations' => unserialize($conf['picture_informations'])
+          ),
+        true
+      );
     break;
   }
Index: /trunk/admin/themes/default/default-layout.css
===================================================================
--- /trunk/admin/themes/default/default-layout.css	(revision 5303)
+++ /trunk/admin/themes/default/default-layout.css	(revision 5304)
@@ -129,5 +129,6 @@
 FIELDSET#uploadConf SPAN.property,
 FIELDSET#indexDisplayConf SPAN.property,
-FIELDSET#pictureDisplayConf SPAN.property {
+FIELDSET#pictureDisplayConf SPAN.property,
+FIELDSET#pictureInfoConf SPAN.property {
 	float: right;
 	text-align: left;
@@ -138,5 +139,6 @@
 FIELDSET#uploadConf INPUT,
 FIELDSET#indexDisplayConf INPUT,
-FIELDSET#pictureDisplayConf INPUT {
+FIELDSET#pictureDisplayConf INPUT,
+FIELDSET#pictureInfoConf INPUT {
 	float: none;
 }
@@ -152,5 +154,6 @@
 FIELDSET#historyConf SPAN.property,
 FIELDSET#indexDisplayConf SPAN.property,
-FIELDSET#pictureDisplayConf SPAN.property {
+FIELDSET#pictureDisplayConf SPAN.property,
+FIELDSET#pictureInfoConf SPAN.property {
 	width: 90%;
 }
@@ -159,5 +162,6 @@
 FIELDSET#commentsConf INPUT,
 FIELDSET#indexDisplayConf INPUT,
-FIELDSET#pictureDisplayConf INPUT {
+FIELDSET#pictureDisplayConf INPUT,
+FIELDSET#pictureInfoConf INPUT {
 	margin-left: 5%;
 }
Index: /trunk/admin/themes/default/template/configuration.tpl
===================================================================
--- /trunk/admin/themes/default/template/configuration.tpl	(revision 5303)
+++ /trunk/admin/themes/default/template/configuration.tpl	(revision 5304)
@@ -104,5 +104,4 @@
 {/if}
 
-
 {if isset($comments)}
 <fieldset id="commentsConf">
@@ -130,5 +129,4 @@
     </li>
 
-
     <li>
       <label>
@@ -286,4 +284,86 @@
         <span class="property">{'Activate Navigation Thumbnails'|@translate}</span>
         <input type="checkbox" name="picture_navigation_thumb" {if ($display.picture_navigation_thumb)}checked="checked"{/if}>
+      </label>
+    </li>
+  </ul>
+</fieldset>
+
+<fieldset id="pictureInfoConf">
+  <legend>{'Photo Properties'|@translate}</legend>
+  <ul>
+    <li>
+      <label>
+        <span class="property">{'Author'|@translate}</span>
+        <input type="checkbox" name="picture_informations[author]" {if ($display.picture_informations.author)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'Created on'|@translate}</span>
+        <input type="checkbox" name="picture_informations[created_on]" {if ($display.picture_informations.created_on)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'Posted on'|@translate}</span>
+        <input type="checkbox" name="picture_informations[posted_on]" {if ($display.picture_informations.posted_on)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'Dimensions'|@translate}</span>
+        <input type="checkbox" name="picture_informations[dimensions]" {if ($display.picture_informations.dimensions)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'File'|@translate}</span>
+        <input type="checkbox" name="picture_informations[file]" {if ($display.picture_informations.file)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'Filesize'|@translate}</span>
+        <input type="checkbox" name="picture_informations[filesize]" {if ($display.picture_informations.filesize)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'Tags'|@translate}</span>
+        <input type="checkbox" name="picture_informations[tags]" {if ($display.picture_informations.tags)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'Categories'|@translate}</span>
+        <input type="checkbox" name="picture_informations[categories]" {if ($display.picture_informations.categories)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'Visits'|@translate}</span>
+        <input type="checkbox" name="picture_informations[visits]" {if ($display.picture_informations.visits)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'Average rate'|@translate}</span>
+        <input type="checkbox" name="picture_informations[average_rate]" {if ($display.picture_informations.average_rate)}checked="checked"{/if}>
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <span class="property">{'Privacy level'|@translate} ({'available for administrators only'|@translate})</span>
+        <input type="checkbox" name="picture_informations[privacy_level]" {if ($display.picture_informations.privacy_level)}checked="checked"{/if}>
       </label>
     </li>
Index: /trunk/install/config.sql
===================================================================
--- /trunk/install/config.sql	(revision 5303)
+++ /trunk/install/config.sql	(revision 5304)
@@ -42,6 +42,13 @@
 INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_slideshow_icon','true','Display slideshow icon on picture page');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_favorite_icon','true','Display favorite icon on picture page');
+INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_download_icon','true','Display download icon on picture page');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_navigation_icons','true','Display navigation icons on picture page');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('picture_navigation_thumb','true','Display navigation thumbnails on picture page');
+INSERT INTO piwigo_config (param,value,comment)
+  VALUES (
+    'picture_informations',
+    'a:11:{s:6:"author";b:1;s:10:"created_on";b:1;s:9:"posted_on";b:1;s:10:"dimensions";b:1;s:4:"file";b:1;s:8:"filesize";b:1;s:4:"tags";b:1;s:10:"categories";b:1;s:6:"visits";b:1;s:12:"average_rate";b:1;s:13:"privacy_level";b:1;}',
+    'Information displayed on picture page'
+  );
 
 INSERT INTO piwigo_themes (id, name) VALUES ('Sylvia', 'Sylvia');
Index: /trunk/install/db/87-database.php
===================================================================
--- /trunk/install/db/87-database.php	(revision 5303)
+++ /trunk/install/db/87-database.php	(revision 5304)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: /trunk/install/db/88-database.php
===================================================================
--- /trunk/install/db/88-database.php	(revision 5304)
+++ /trunk/install/db/88-database.php	(revision 5304)
@@ -0,0 +1,49 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined("PHPWG_ROOT_PATH"))
+{
+  die('Hacking attempt!');
+}
+
+$upgrade_description = 'Add display configuration for picture properties.';
+
+$query = '
+INSERT INTO '.CONFIG_TABLE.' (param,value,comment)
+  VALUES
+    ("picture_download_icon","true","Display download icon on picture page"),
+    (
+      "picture_informations", 
+      "a:11:{s:6:\"author\";b:1;s:10:\"created_on\";b:1;s:9:\"posted_on\";b:1;s:10:\"dimensions\";b:1;s:4:\"file\";b:1;s:8:\"filesize\";b:1;s:4:\"tags\";b:1;s:10:\"categories\";b:1;s:6:\"visits\";b:1;s:12:\"average_rate\";b:1;s:13:\"privacy_level\";b:1;}",
+      "Information displayed on picture page"
+    )
+;';
+
+pwg_query($query);
+
+echo
+"\n"
+. $upgrade_description
+."\n"
+;
+?>
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 5303)
+++ /trunk/language/en_UK/admin.lang.php	(revision 5304)
@@ -749,3 +749,4 @@
 $lang['Activate icon "%s"'] = 'Activate icon "%s"';
 $lang['Activate field "%s"'] = 'Activate field "%s"';
+$lang['Photo Properties'] = 'Photo Properties';
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 5303)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 5304)
@@ -723,4 +723,5 @@
 $lang['Activate icon "%s"'] = 'Activer l\'icone "%s"';
 $lang['Activate field "%s"'] = 'Activer le champ "%s"';
+$lang['Photo Properties'] = 'Propriétés de la photo';
 
 $lang['Active Themes'] = 'Thèmes activés';
Index: /trunk/picture.php
===================================================================
--- /trunk/picture.php	(revision 5303)
+++ /trunk/picture.php	(revision 5304)
@@ -658,8 +658,11 @@
             add_url_params(
               $picture[$which_image]['url'], $slideshow_url_params),
-          'U_DOWNLOAD' => @$picture['current']['download_url'],
           )
         )
       );
+    if ($conf['picture_download_icon'] and !empty($picture['current']['download_url']))
+    {
+      $template->append($which_image, array('U_DOWNLOAD' => $picture['current']['download_url']), true);
+    }
   }
 }
@@ -919,4 +922,5 @@
 
 $template->assign($infos);
+$template->assign('display_info', unserialize($conf['picture_informations']));
 
 // related tags
Index: /trunk/themes/default/template/picture.tpl
===================================================================
--- /trunk/themes/default/template/picture.tpl	(revision 5303)
+++ /trunk/themes/default/template/picture.tpl	(revision 5304)
@@ -115,28 +115,41 @@
 
 <table id="standard" class="infoTable" summary="{'Some info about this picture'|@translate}">
+  {if $display_info.author}
   <tr id="Author">
     <td class="label">{'Author'|@translate}</td>
     <td class="value">{if isset($INFO_AUTHOR)}{$INFO_AUTHOR}{else}{'N/A'|@translate}{/if}</td>
   </tr>
+  {/if}
+  {if $display_info.created_on}
   <tr id="datecreate">
     <td class="label">{'Created on'|@translate}</td>
     <td class="value">{if isset($INFO_CREATION_DATE)}{$INFO_CREATION_DATE}{else}{'N/A'|@translate}{/if}</td>
   </tr>
+  {/if}
+  {if $display_info.posted_on}
   <tr id="datepost">
     <td class="label">{'Posted on'|@translate}</td>
     <td class="value">{$INFO_POSTED_DATE}</td>
   </tr>
+  {/if}
+  {if $display_info.dimensions}
   <tr id="Dimensions">
     <td class="label">{'Dimensions'|@translate}</td>
     <td class="value">{if isset($INFO_DIMENSIONS)}{$INFO_DIMENSIONS}{else}{'N/A'|@translate}{/if}</td>
   </tr>
+  {/if}
+  {if $display_info.file}
   <tr id="File">
     <td class="label">{'File'|@translate}</td>
     <td class="value">{$INFO_FILE}</td>
   </tr>
+  {/if}
+  {if $display_info.filesize}
   <tr id="Filesize">
     <td class="label">{'Filesize'|@translate}</td>
     <td class="value">{if isset($INFO_FILESIZE)}{$INFO_FILESIZE}{else}{'N/A'|@translate}{/if}</td>
   </tr>
+  {/if}
+  {if $display_info.tags}
   <tr id="Tags">
     <td class="label">{'Tags'|@translate}</td>
@@ -148,4 +161,6 @@
     </td>
   </tr>
+  {/if}
+  {if $display_info.categories}
   <tr id="Categories">
     <td class="label">{'Categories'|@translate}</td>
@@ -160,10 +175,13 @@
     </td>
   </tr>
+  {/if}
+  {if $display_info.visits}
   <tr id="Visits">
     <td class="label">{'Visits'|@translate}</td>
     <td class="value">{$INFO_VISITS}</td>
   </tr>
-
-{if isset($rate_summary) }
+  {/if}
+
+{if $display_info.average_rate and isset($rate_summary) }
 	<tr id="Average">
 		<td class="label">{'Average rate'|@translate}</td>
@@ -207,5 +225,5 @@
 {/if}
 
-{if isset($available_permission_levels) }
+{if $display_info.privacy_level and isset($available_permission_levels) }
 	<tr id="Privacy">
 		<td class="label">{'Privacy level'|@translate}:</td>