Index: trunk/language/es_ES/upgrade.lang.php
===================================================================
--- trunk/language/es_ES/upgrade.lang.php	(revision 5213)
+++ trunk/language/es_ES/upgrade.lang.php	(revision 5316)
@@ -3,5 +3,5 @@
 // | Piwigo - a PHP based picture gallery                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
@@ -22,23 +22,24 @@
 // +-----------------------------------------------------------------------+
 
+$lang['Upgrade'] = 'Actualización';
+$lang['introduction message'] = 'Esta página le propone actualizar la base de dato de su antigua versión de piwigo hacia la nueva versión.
+El asistente de actualización piensa que la versión actual es la <strong> versión %s </strong> (o equivalente). ';
+$lang['Upgrade from version %s to %s'] = 'Actualización de la versión %s a %s';
+$lang['Statistics'] = 'Estadísticas';
+$lang['total upgrade time'] = 'tiempo total de la actualización';
+$lang['total SQL time'] = 'tiempo total de la demanda SQL';
+$lang['SQL queries'] = 'número de demanda SQL';
+$lang['Upgrade informations'] = 'Informaciones sobre la actualización';
+$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = 'Por favor, efectúes un mantenimiento en [Administración>Especiales>Mantenimiento] si usted encuentra problemas.';
+$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Por precaución, el plugins siguiente han sido desactivados. Verifique si existen unas actualización antes de reactivarlos:';
+$lang['Only administrator can run upgrade: please sign in below.'] = 'Sólo un administrador puede lanzar la actualización: por favor, identifiqúese más abajo.';
+$lang['You do not have access rights to run upgrade'] = 'Usted no tiene los derechos necessaires para lanzar la actualización.';
 
+// Upgrade informations from upgrade_1.3.1.php
+$lang['All sub-categories of private categories become private'] = 'Todas las subcategorías de categorías privadas se vuelven privadas';
+$lang['User permissions and group permissions have been erased'] = 'Las autorizaciones de los usuarios y de los grupos han sido borradas';
+$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Sólo el prefijo de las miniaturas y el email  del webmestre han sido salvaguardados por la configuración precedente';
 
-$lang['Upgrade'] = "Actualización";
-$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version.
-The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = "Esta página le propone actualizar la base de dato de su antigua versión de piwigo hacia la nueva versión.
-El asistente de actualización piensa que la versión actual es la <strong> versión %s </strong> (o equivalente).";
-$lang['Upgrade from version %s to %s'] = "Actualización de la versión %s a %s";
-$lang['Statistics'] = "Estadísticas";
-$lang['total upgrade time'] = "tiempo total de la actualización";
-$lang['total SQL time'] = "tiempo total de la demanda SQL";
-$lang['SQL queries'] = "número de demanda SQL";
-$lang['Upgrade informations'] = "Informaciones sobre la actualización";
-$lang['Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.'] = "Por favor, efectúes un mantenimiento en [Administración>Especiales>Mantenimiento] si usted encuentra problemas.";
-$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = "Por precaución, el plugins siguiente han sido desactivados. Verifique si existen unas actualización antes de reactivarlos:";
-$lang['Only administrator can run upgrade: please sign in below.'] = "Sólo un administrador puede lanzar la actualización: por favor, identifiqúese más abajo.";
-$lang['You do not have access rights to run upgrade'] = "";
-$lang['In <i>%s</i>, before <b>?></b>, insert:'] = "";
-$lang['All sub-categories of private categories become private'] = "Todas las subcategorías de categorías privadas se vuelven privadas";
-$lang['User permissions and group permissions have been erased'] = "Las autorizaciones de los usuarios y de los grupos han sido borradas";
-$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = "Sólo el prefijo de las miniaturas y el email  del webmestre han sido salvaguardados por la configuración precedente";
+$lang['in include/mysql.inc.php, before ?>, insert:'] = 'En el fichero <i>include/mysql.inc.php</i>, antes <b>?></b>,  inserte:';
+
 ?>