Index: extensions/pwgCumulus/language/en_UK/index.php
===================================================================
--- extensions/pwgCumulus/language/en_UK/index.php	(revision 5320)
+++ extensions/pwgCumulus/language/en_UK/index.php	(revision 5320)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/pwgCumulus/language/es_ES/description.txt
===================================================================
--- extensions/pwgCumulus/language/es_ES/description.txt	(revision 5320)
+++ extensions/pwgCumulus/language/es_ES/description.txt	(revision 5320)
@@ -0,0 +1,1 @@
+añada una nube de etiqueta asombrosa
Index: extensions/pwgCumulus/language/es_ES/index.php
===================================================================
--- extensions/pwgCumulus/language/es_ES/index.php	(revision 5320)
+++ extensions/pwgCumulus/language/es_ES/index.php	(revision 5320)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/pwgCumulus/language/es_ES/plugin.lang.php
===================================================================
--- extensions/pwgCumulus/language/es_ES/plugin.lang.php	(revision 5320)
+++ extensions/pwgCumulus/language/es_ES/plugin.lang.php	(revision 5320)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009      Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['pwg_cumulus_title'] = "Plugin Cumulus Tags Cloud";
+$lang['pwg_cumulus_intro'] = "Este plugin permite fijar una nube de etiquetas en forma de una animación flash 3D.";
+$lang['pwg_cumulus_info'] = "Usted puede escoger este modo de fijación de la nube de pintadas añadiendo el modo por defecto en el fichero de configuración <strong>config_local.inc.php</strong>&nbsp;:&nbsp;<br>\$conf['tags_default_display_mode'] = 'cumulus';";
+$lang['pwg_cumulus_dimensions'] = "Dimensiones de la animación";
+$lang['pwg_cumulus_width'] = "Anchura";
+$lang['pwg_cumulus_height'] = "Altura";
+$lang['pwg_cumulus_tags_size'] = "Talla de etiquetas";
+$lang['pwg_cumulus_coeff'] = "Coeficiente";
+$lang['pwg_cumulus_width_changed'] = "La anchura ha sido puesta al día";
+$lang['pwg_cumulus_height_changed'] = "La altura ha sido puesta al día";
+$lang['pwg_cumulus_coeff_changed'] = "El coeficiente multiplicador de etiquetas ha sido puesto al día";
+$lang['show tag cloud in cumulus mode'] = "Utilizar el modo cúmulo para fijar la nube de etiquetas";
+$lang['pwg_cumulus_color1'] = "Color 1";
+$lang['pwg_cumulus_color2'] = "Color 2";
+$lang['pwg_cumulus_hicolor'] = "Color al sobrevuelo";
+$lang['pwg_cumulus_color1_changed'] = "El color 1 ha sido puesto al día";
+$lang['pwg_cumulus_color2_changed'] = "El color 2 ha sido puesto al día";
+$lang['pwg_cumulus_hicolor_changed'] = "Color de planeo puesto al día";
+?>
Index: extensions/pwgCumulus/language/fr_FR/index.php
===================================================================
--- extensions/pwgCumulus/language/fr_FR/index.php	(revision 5320)
+++ extensions/pwgCumulus/language/fr_FR/index.php	(revision 5320)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>