Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 5330)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 5331)
@@ -36,6 +36,6 @@
 $lang['%d member'] = '%d tag';
 $lang['%d members'] = '%d tag';
-$lang['%d tag'] = '%d cimke';
-$lang['%d tags'] = '%d cimke';
+$lang['%d tag'] = '%d címke';
+$lang['%d tags'] = '%d címke';
 $lang['%d user comment rejected'] = '%d elutasított hozzászólás';
 $lang['%d user comments rejected'] = '%d elutasított hozzászólás';
@@ -68,5 +68,5 @@
 $lang['Categories ascending alphanumerically ordered'] = 'Kategóriák ABC sorrendben';
 $lang['Categories descending alphanumerically ordered'] = 'Kategóriák csökkenő ABC sorrendben';
-$lang['Category elements associated to the following categories: %s'] = 'A kategória elemeinek a következõ kategóriához rendelése: %s';
+$lang['Category elements associated to the following categories: %s'] = 'A kategória elemeinek a következő kategóriához rendelése: %s';
 $lang['Check for upgrade failed for unknown reasons.'] = 'A program frissítése ismeretlen okból nem sikerült.';
 $lang['Check for upgrade'] = 'Frissítés keresése';
@@ -76,5 +76,5 @@
 $lang['Database'] = 'Adatbázis';
 $lang['Deactivate'] = 'Deaktiválás';
-$lang['Delete Representant'] = 'Kategória képviselõ törlése';
+$lang['Delete Representant'] = 'Kategória képviselő törlése';
 $lang['Delete selected tags'] = 'Kiválasztott címkék törlése';
 $lang['Delete selected users'] = 'Kiválasztott felhasználók törlése';
@@ -96,5 +96,5 @@
 $lang['Empty caddie'] = 'Kosár kiürítése';
 $lang['Environment'] = 'Környezet';
-$lang['Form'] = 'Ürlap';
+$lang['Form'] = 'Űrlap';
 $lang['Gallery URL'] = 'Galéria URL';
 $lang['Gallery description'] = 'Galéria leírása';
@@ -109,5 +109,5 @@
 $lang['Install'] = 'Telepítés';
 $lang['Link all category elements to a new category'] = 'A kategória összes elemének új kategóriához rendelése';
-$lang['Link all category elements to some existing categories'] = 'A kategória összes elemének már meglévõ kategóriához rendelése';
+$lang['Link all category elements to some existing categories'] = 'A kategória összes elemének már meglévő kategóriához rendelése';
 $lang['Linked categories'] = 'Linkelt kategóriák';
 $lang['Lock gallery'] = 'Galéria lezárása';
@@ -118,15 +118,15 @@
 $lang['Manage tags'] = 'Címkék kezelése';
 $lang['Members'] = 'Tagok';
-$lang['Metadata synchronized from file'] = 'Meta adatok fájlból történõ szinkronizálása';
+$lang['Metadata synchronized from file'] = 'Meta adatok fájlból történő szinkronizálása';
 $lang['Move categories'] = 'Kategóriák áthelyezése';
 $lang['Move'] = 'Áthelyezés';
 $lang['Name'] = 'Név';
 $lang['New name'] = 'Új név';
-$lang['New parent category'] = 'Új szülõ kategória';
+$lang['New parent category'] = 'Új szülő kategória';
 $lang['New tag'] = 'Új címke';
 $lang['No tag defined. Use Administration>Pictures>Tags'] = 'Nincs címke hozzárendelve. Itt keresd: Adminisztráció>Fotó>Címkék';
 $lang['Number of comments per page'] = 'Kommentek száma oldalanként';
 $lang['Number of rates'] = 'Pontozások száma';
-$lang['Number of thumbnails to create'] = 'Elkészítendõ bélyegképek száma';
+$lang['Number of thumbnails to create'] = 'Elkészítendő bélyegképek száma';
 $lang['Only private categories are listed'] = 'Csak privát kategóriák megjelenítése';
 $lang['Operating system'] = 'Operációs rendszer';
@@ -135,5 +135,5 @@
 $lang['Other private categories'] = 'Más privát kategóriák';
 $lang['Page banner'] = 'Oldal fejléc';
-$lang['Parent category'] = 'Szülõ kategória';
+$lang['Parent category'] = 'Szülő kategória';
 $lang['Path'] = 'Elérési út';
 $lang['Permalink'] = 'Közvetlen link';
@@ -151,5 +151,5 @@
 $lang['Preferences'] = 'Beállítások';
 $lang['Properties'] = 'Tulajdonságok';
-$lang['Random picture'] = 'Random kép';
+$lang['Random picture'] = 'Véletlen kép';
 $lang['Rate date'] = 'Pontozás dátuma';
 $lang['Rating by guests'] = 'Vendégek által pontozható';
@@ -175,7 +175,7 @@
 $lang['Tag "%s" was added'] = '"%s" címke hozzáadva';
 $lang['Tag selection'] = 'Címke kiválasztása';
-$lang['Take selected elements out of caddie'] = 'Kiválasztott elemek kosárból történõ eltávolítása';
-$lang['The following tag were deleted'] = 'A következõ %d címke törölve : %s';
-$lang['The %d following tags were deleted'] = 'A következõ %d címke törölve : %s';
+$lang['Take selected elements out of caddie'] = 'Kiválasztott elemek kosárból történő eltávolítása';
+$lang['The following tag were deleted'] = 'A következő %d címke törölve : %s';
+$lang['The %d following tags were deleted'] = 'A következő %d címke törölve : %s';
 $lang['Unable to check for upgrade since allow_url_fopen is disabled.'] = 'A frissítés nem sikerült, mivel az allow_url_fopen nincs engedélyezve.';
 $lang['Uninstall'] = 'Eltávolítás';
@@ -191,8 +191,8 @@
 $lang['Virtual category name'] = 'Virtuális kategória neve';
 $lang['Webmaster cannot be deleted'] = 'Najó...azért a webmestert ne töröljük...';
-$lang['You are running on development sources, no check possible.'] = 'Ez egy fejlesztõi változat, keresés lehetetlen.';
+$lang['You are running on development sources, no check possible.'] = 'Ez egy fejlesztői változat, keresés lehetetlen.';
 $lang['You cannot delete your account'] = "Nem törölheti a fiókját";
 $lang['You cannot move a category in its own sub category'] = 'A kategóriát lehetetlen az alkategóriájába helyezni';
-$lang['You need to confirm deletion'] = 'A törléshez megerõsítés szükséges';
+$lang['You need to confirm deletion'] = 'A törléshez megerősítés szükséges';
 $lang['add tags'] = 'Címke hozzáadása';
 $lang['Adviser'] = 'Tanácsadó';
@@ -206,8 +206,8 @@
 $lang['Private category'] = 'Privát kategória';
 $lang['Public category'] = 'Nyilvános kategória';
-$lang['Find a new representant by random'] = 'Új kategória-képviselõ véletlenszerű kiválasztása';
+$lang['Find a new representant by random'] = 'Új kategória-képviselő véletlenszerű kiválasztása';
 $lang['Public / Private'] = 'Nyilvános / Privát';
-$lang['Manage authorizations for selected categories'] = 'A következõ kategóriák engedélyeinek kezelése';
-$lang['Select uploadable categories'] = 'Feltölthetõ kategóriák kiválasztása';
+$lang['Manage authorizations for selected categories'] = 'A következő kategóriák engedélyeinek kezelése';
+$lang['Select uploadable categories'] = 'Feltölthető kategóriák kiválasztása';
 $lang['Virtual category added'] = 'Virtuális kategória hozzáadva';
 $lang['Virtual category deleted'] = 'Virtuális kategória törölve';
@@ -235,5 +235,5 @@
 $lang['File'] = 'Fájl';
 $lang['Filesize'] = 'Fájlméret';
-$lang['first element added on %s'] = 'Az elsõ fotó hozzáadásának dátuma: %s';
+$lang['first element added on %s'] = 'Az első fotó hozzáadásának dátuma: %s';
 $lang['Forbidden'] = 'Rejtett';
 $lang['General'] = 'Általános';
@@ -351,5 +351,5 @@
 $lang['test this remote site'] = 'Tesztelés távoli kiszolgálón';
 $lang['Remote site url must start by http or https and must only contain characters among "/", "a-zA-Z0-9", "-" or "_"'] = 'Die URL einer Remote-Site muss mit "http://" oder "https" und darf als Zeichen, dass "/", "a-zA-Z0-9", "-" oder "_"';
-$lang['remove tags'] = 'Cimkék eltávolítása';
+$lang['remove tags'] = 'Címkék eltávolítása';
 $lang['Repair and optimize database'] = 'Adatbázis javítása és optimalizálása';
 $lang['selection'] = 'kijelölés';
@@ -367,5 +367,5 @@
 $lang['Remote'] = 'Távoli';
 $lang['synchronize'] = 'Szinkronizálás';
-$lang['update the database from files'] = 'adaztbázis frissítése fájlokból';
+$lang['update the database from files'] = 'adatbázis frissítése fájlokból';
 $lang['status'] = 'Státusz';
 $lang['Directory'] = 'Könyvtár';
@@ -392,5 +392,5 @@
 $lang['for the file format'] = 'fájl formátum';
 $lang['No missing thumbnail'] = 'Nincs (hiányzó) bélyegkép';
-$lang['Picture unreachable or no support'] = 'Fotó nem elérhetõ, vagy formátuma nem támogatott';
+$lang['Picture unreachable or no support'] = 'Fotó nem elérhető, vagy formátuma nem támogatott';
 $lang['GD version'] = 'GD verzió';
 $lang['Miniaturization parameters'] = 'Kicsinyítési paraméterek';
@@ -398,9 +398,9 @@
 $lang['Results of miniaturization'] = 'Kicsinyítés eredménye';
 $lang['General statistics'] = 'Általános statisztika';
-$lang['max time'] = 'max idõ';
-$lang['average time'] = 'átlagos idõ';
-$lang['min time'] = 'min idõ';
+$lang['max time'] = 'max idő';
+$lang['average time'] = 'átlagos idő';
+$lang['min time'] = 'min idő';
 $lang['number of miniaturized pictures'] = 'kicsinyített képek száma';
-$lang['total time'] = 'teljes idõ';
+$lang['total time'] = 'teljes idő';
 $lang['for this file format'] = 'formátum';
 $lang['unit mode'] = 'Képenként';
@@ -423,5 +423,5 @@
 $lang['File/directory read error'] = 'Fájl/Mappa olvasási hiba';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'A fájl vagy mappa hozzáférhetetlen (vagy nem létezik, vagy hozzáférés megtagadva)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'A képeknek rendelkezniük kell bélyegképpel. A bélyegképnek a kép mappájának "thumbnail" almappájában kell lennie. A bélyegkép nevének a meghatározott prefixszel kell kezdõdnie, és a következõ kiterjesztése lehet:';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'A képeknek rendelkezniük kell bélyegképpel. A bélyegképnek a kép mappájának "thumbnail" almappájában kell lennie. A bélyegkép nevének a meghatározott prefixszel kell kezdődnie, és a következő kiterjesztése lehet:';
 $lang['missing thumbnail'] = 'bélyegkép hiányzik';
 $lang['categories deleted in the database'] = 'adatbázisból törölt kategória';
@@ -477,5 +477,5 @@
 $lang['Element'] = 'Elem';
 $lang['Section'] = 'Szakasz';
-$lang['Tags'] = 'Cimkék';
+$lang['Tags'] = 'Címkék';
 $lang['Save page visits by guests'] = 'Vendégek általi oldallátogatások mentése';
 $lang['Save page visits by users'] = 'Felhasználók általi oldallátogatások mentése';
@@ -551,5 +551,5 @@
 $lang['Reinitialize check integrity'] = 'Integritások felülvizsgálata, Újrainicializálás';
 $lang['Check all'] = 'Összes kijelölése';
-$lang['Uncheck all'] = 'Összes kijelölés megszűntetése';
+$lang['Uncheck all'] = 'Összes kijelölés megszüntetése';
 $lang['Check automatic corrections'] = 'Automatikus hibajavítás a kijelölteken';
 $lang['Apply selected corrections'] = 'A kiválasztott hibajavítás alkalmazása';
@@ -560,32 +560,32 @@
 $lang['%d anomaly has been ignored.'] = '%d Anomalie ignoriert wurde.';
 $lang['%d anomalies have been ignored.'] = '%d Anomalien ignoriert wurden.';
-$lang['Plugins which need upgrade'] = 'Az alábbi Pluginokhoz frissítés érhető el';
-$lang['Plugins up to date'] = 'Ezek a Pluginok naprakészek';
-$lang['Plugin versions can\'t be checked'] = 'Az alábbi Pluginokat ellenőrizni kell';
+$lang['Plugins which need upgrade'] = 'Az alábbi bővítményekhez frissítés érhető el';
+$lang['Plugins up to date'] = 'Ezek a bővítmények naprakészek';
+$lang['Plugin versions can\'t be checked'] = 'Az alábbi bővítményeket ellenőrizni kell';
 $lang['Current<br>version'] = 'Verzió<br>Jelenlegi';
 $lang['Available<br>version'] = 'Verzió<br>Elérhető';
 $lang['Automatic upgrade'] = 'Automatikus frissítés';
 $lang['Automatic installation'] = 'Automatikus telepítés';
-$lang['Download file'] = 'Plugin letöltése';
-$lang['Plugin list'] = 'Plugin lista';
-$lang['Check for updates'] = 'Frissíthető pluginok';
-$lang['Other plugins'] = 'Telepíthető pluginok';
+$lang['Download file'] = 'Bővítmény letöltése';
+$lang['Plugin list'] = 'Bővítmény lista';
+$lang['Check for updates'] = 'Frissíthető bővítmények';
+$lang['Other plugins'] = 'Telepíthető bővítmények';
 $lang['Last revisions'] = 'Utolsó módosítás';
 $lang['Delete'] = 'Törlés';
-$lang['Are you sure you want to install this plugin?'] = 'Biztos, hogy telepíteni akarja a Plugint?';
-$lang['Are you sure you want to delete this plugin?'] = 'Biztos, hogy törölni akarja a Plugint?';
+$lang['Are you sure you want to install this plugin?'] = 'Biztos, hogy telepíteni akarja a bővítményt?';
+$lang['Are you sure you want to delete this plugin?'] = 'Biztos, hogy törölni akarja a bővítményt?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Biztos, hogy telepíteni akarja a frissítést? Győződjön meg arról, hogy a korábbi verzió eltávolítható.';
 $lang['%s has been successfully upgraded.'] = '%s frissítése sikeres.';
-$lang['Plugin has been successfully copied'] = 'A Plugin másolása sikeres.';
-$lang['You might go to plugin list to install and activate it.'] = 'Lépjen a "Plugin lista" menüpontra és aktiválja.';
+$lang['Plugin has been successfully copied'] = 'A bővítmény másolása sikeres.';
+$lang['You might go to plugin list to install and activate it.'] = 'Lépjen a "Bővítmény lista" menüpontra és aktiválja.';
 $lang['Can\'t create temporary file.'] = 'Temp fájl nem hozható létre .';
-$lang['Can\'t download archive.'] = 'Nem sikerült letölteni az Archivumot.';
-$lang['Can\'t read or extract archive.'] = 'Nem sikerült olvasni vagy kicsomagolni az Archivumot.';
-$lang['An error occured during extraction (%s).'] = 'Nem sikerült kitömöríteni az Archivumot(%s).';
+$lang['Can\'t download archive.'] = 'Nem sikerült letölteni az Archívumot.';
+$lang['Can\'t read or extract archive.'] = 'Nem sikerült olvasni vagy kicsomagolni az Archívumot.';
+$lang['An error occured during extraction (%s).'] = 'Nem sikerült kitömöríteni az Archívumot(%s).';
 $lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Nézze meg a "Plugins" mappa és az almappák jogosultságait (CHMOD).';
 $lang['Can\'t connect to server.'] = 'Nem sikerült csatlakozni a szerverhez.';
 $lang['Purge compiled templates'] = 'Összeállított sablonok törlése';
 $lang['Caddie is currently empty'] = 'A kosár jelenleg üres.';
-$lang['Demo'] = 'Demo';
+$lang['Demo'] = 'Demó';
 $lang['Piwigo home'] = 'Piwigo honlap';
 $lang['Support'] = 'Támogatás';
@@ -606,5 +606,5 @@
 $lang['Piwigo version'] = 'Piwigo verzió';
 $lang['You are running the latest version of Piwigo.'] = 'A legújabb verziójú Piwigo fut.';
-$lang['The version of %s [%s] installed is not compatible with the version required [%s]'] = 'Jelenleg a %s [%s] verzió van telepítve, mely nem kompattibilis ezzel: [%s]';
+$lang['The version of %s [%s] installed is not compatible with the version required [%s]'] = 'Jelenleg a %s [%s] verzió van telepítve, mely nem kompatibilis ezzel: [%s]';
 $lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = 'Sie müssen Ihr System zu aktualisieren, um vollen Nutzen aus der Anwendung nicht die Anwendung funktioniert nicht richtig oder gar nicht';
 $lang['Deleted on'] = 'Törölve a ';
@@ -615,5 +615,5 @@
 $lang['Extend for templates'] = 'Kiterjesztett témák';
 $lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'Az eredeti sablon helyettesítése almappákra';
-$lang['Replacers (customized templates)'] = 'Módosított (Testreszabott sablonok)';
+$lang['Replacers (customized templates)'] = 'Módosított (Testre-szabott sablonok)';
 $lang['Original templates'] = 'Eredeti sablonok';
 $lang['Optional URL keyword'] = 'Opcionális URL szerint';
@@ -645,5 +645,5 @@
 // --------- Starting below: New or revised $lang ---- from Colibri
 $lang['Piwigo Announcements Newsletter'] = 'Piwigo Hirdetmények Hírlevél';
-$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Tartsa a kapcsolatot Piwigo projektel, iratkozzon fel a Piwigo Hírlevélre. Levélben értesítjük ha újabb kiadás érhető el, (beleértve a biztonsági hibák javítását, valamint a frissítéseket) valamint ha nagyobb esemény történik a projektben. Csak néhány levél évente.';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Tartsa a kapcsolatot Piwigo projekttel, iratkozzon fel a Piwigo Hírlevélre. Levélben értesítjük ha újabb kiadás érhető el, (beleértve a biztonsági hibák javítását, valamint a frissítéseket) valamint ha nagyobb esemény történik a projektben. Csak néhány levél évente.';
 $lang['Subscribe %s'] = 'Feliratkozás %s';
 $lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Feliratkozás %s a Piwigo hirdetésekre, hírlevelekre';