Index: trunk/language/hu_HU/common.lang.php
===================================================================
--- trunk/language/hu_HU/common.lang.php	(revision 5316)
+++ trunk/language/hu_HU/common.lang.php	(revision 5332)
@@ -29,5 +29,5 @@
 $lang_info['zero_plural'] = false;
 
-$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (pontozva %d alkalommal, szórás = %.2f)';
+$lang['%.2f (rated %d times, standard deviation = %.2f)'] = '%.2f (értékelve %d alkalommal, szórás = %.2f)';
 $lang['%d Kb'] = '%d Kb';
 $lang['%d category updated'] = '%d kategória frissítés';
@@ -49,6 +49,6 @@
 $lang['About'] = 'Impresszum';
 $lang['All tags must match'] = 'Minden címkének egyeznie kell';
-$lang['All tags'] = 'Összes cimke';
-$lang['Any tag'] = 'Bármely cimke';
+$lang['All tags'] = 'Összes címke';
+$lang['Any tag'] = 'Bármely címke';
 $lang['At least one listed rule must be satisfied.'] = 'Az alábbiakból legalább egy feltételnek teljesülni kell.';
 $lang['At least one tag must match'] = 'Legalább egy címkének egyeznie kell';
@@ -68,5 +68,5 @@
 $lang['Current password is wrong'] = 'Hibás jelszó';
 $lang['Dimensions'] = 'Képméret';
-$lang['Display'] = 'Kijelzõ';
+$lang['Display'] = 'Kijelző';
 $lang['Each listed rule must be satisfied.'] = 'Az alábbi feltételek mindegyikének meg kell felelni.';
 $lang['Email address is missing. Please specify an email address.'] = 'Hiányzó e-mail cím';
@@ -89,5 +89,5 @@
 $lang['N/A'] = 'N/A';
 $lang['New on %s'] = 'Új %s';
-$lang['New password confirmation does not correspond'] = 'Az új jelszó megerõsítése nem sikerült';
+$lang['New password confirmation does not correspond'] = 'Az új jelszó megerősítése nem sikerült';
 $lang['New password sent by email'] = 'Új jelszavát elküldtük e-mailben.';
 $lang['No email address'] = 'Nincs e-mail cím megadva';
@@ -119,5 +119,5 @@
 $lang['Tag'] = 'Címke';
 $lang['Tags'] = 'Címkék';
-$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Az RSS értesítõ a következõ -az oldallal kapcsolatos- információkat tartalmazza: új fotók, új kategóriák, új kommentek.';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Az RSS értesítő a következő -az oldallal kapcsolatos- információkat tartalmazza: új fotók, új kategóriák, új kommentek.';
 $lang['Unknown feed identifier'] = 'Ismeretlen RSS azonosító';
 $lang['User comments'] = 'Felhasználói hozzászólások';
@@ -133,5 +133,5 @@
 $lang['Adviser mode enabled'] = 'Tanácsadói mód engedélyezve';
 $lang['all'] = 'összes';
-$lang['ascending'] = 'növekvõ';
+$lang['ascending'] = 'növekvő';
 $lang['author(s) : %s'] = 'Szerző(k) : %s';
 $lang['Expand all categories'] = 'Összes kategória kibontása';
@@ -140,6 +140,6 @@
 $lang['posted between %s (%s) and %s (%s)'] = 'feltöltve %s (%s) és %s (%s) között';
 $lang['posted on %s'] = 'elérhető %s';
-$lang['Best rated'] = 'Legjobban  pontozott';
-$lang['display best rated items'] = 'megjeleníti a legjobban pontozottakat';
+$lang['Best rated'] = 'Legjobbra  értékelt';
+$lang['display best rated items'] = 'megjeleníti a legjobbra értékelteket';
 $lang['caddie'] = 'Kosár';
 $lang['Calendar'] = 'Naptár';
@@ -155,5 +155,5 @@
 $lang['Comment'] = 'Hozzászólás';
 $lang['Your comment has been registered'] = 'Hozzászólás rögzítve';
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood rendszer : várjon egy kicsit a következõ hozzászólás elõtt';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood rendszer : várjon egy kicsit a következő hozzászólás előtt';
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'A hozzászólás még nincs rögzítve. (érvényességi szabályok)';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Az adminisztrátornak még el kell fogadni a hozzászólást, hogy láthatóvá váljon.';
@@ -186,5 +186,5 @@
 $lang['display my favorites pictures'] = 'kedvenc képeimet jeleníti meg';
 $lang['Favorites'] = 'Kedvenceim';
-$lang['First'] = 'Elsõ oldal';
+$lang['First'] = 'Első oldal';
 $lang['The gallery is locked for maintenance. Please, come back later.'] = 'Az oldal karbantartás miatt átmenetileg nem látható, kérjük látogasson vissza néhány perc múlva.';
 $lang['Page generated in'] = 'Oldal készült';
@@ -192,9 +192,9 @@
 $lang['Hello'] = 'Szia';
 $lang['available for administrators only'] = 'csak adminisztrátoroknak';
-$lang['shows images at the root of this category'] = 'képek mutatása a kategória gyökerébõl';
+$lang['shows images at the root of this category'] = 'képek mutatása a kategória gyökeréből';
 $lang['See last users comments'] = 'Utolsó hozzászólások megjelenítése';
 $lang['customize the appareance of the gallery'] = 'a galéria megjelenésének testreszabása';
 $lang['search'] = 'Keresés';
-$lang['Home'] = 'Fõoldal';
+$lang['Home'] = 'Főoldal';
 $lang['Identification'] = 'Azonosító';
 $lang['in this category'] = 'ebben a kategóriában';
@@ -238,6 +238,6 @@
 $lang['New password'] = 'Új jelszó';
 $lang['Rate this picture'] = 'Pontozd a képet';
-$lang['Next'] = 'Következõ';
-$lang['Home'] = 'Fõoldal';
+$lang['Next'] = 'Következő';
+$lang['Home'] = 'Főoldal';
 $lang['no rate'] = 'nem pontozott';
 $lang['Elements posted within the last %d day.'] = 'Az alábbi elemek kerültek fel az elmúlt % d napban.';
@@ -251,6 +251,6 @@
 $lang['Preferences'] = 'Beállítások';
 $lang['Previous'] = 'Előző';
-$lang['Random pictures'] = 'Véletlenszerû képek';
-$lang['display a set of random pictures'] = 'Véletlenszerû képek megjelenítése';
+$lang['Random pictures'] = 'Véletlenszerű képek';
+$lang['display a set of random pictures'] = 'Véletlenszerű képek megjelenítése';
 $lang['Recent categories'] = 'Legfrissebb kategória';
 $lang['display recently updated categories'] = 'Utoljára feltöltött kategóriák megjelenítése';
@@ -260,6 +260,6 @@
 $lang['Redirection...'] = 'Átirányítás...';
 $lang['Please, enter a login'] = 'Kérem, adja meg felhasználói nevét';
-$lang['login mustn\'t end with a space character'] = 'A felhasználói név nem végzõdhet SPACE karakterrel';
-$lang['login mustn\'t start with a space character'] = 'A felhasználói név nem kezdõdhet SPACE karakterrel';
+$lang['login mustn\'t end with a space character'] = 'A felhasználói név nem végződhet SPACE karakterrel';
+$lang['login mustn\'t start with a space character'] = 'A felhasználói név nem kezdődhet SPACE karakterrel';
 $lang['this login is already used'] = 'Ilyen felhasználónk már van!';
 $lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'E-mail formátuma: xxx@yyy.eee (pl.: kedvenc@nyuszi.hu)';
@@ -269,9 +269,9 @@
 $lang['representative'] = 'képviselő';
 $lang['return to homepage'] = 'Kezdőlap';
-$lang['Search for Author'] = 'Szerzõ keresése';
+$lang['Search for Author'] = 'Szerző keresése';
 $lang['Search in Categories'] = 'Kategória keresése';
 $lang['Search by Date'] = 'Keresés dátum alapján';
 $lang['Date'] = 'Dátum';
-$lang['End-Date'] = 'Befejezõ dátum';
+$lang['End-Date'] = 'Befejező dátum';
 $lang['Kind of date'] = 'Dátum típusa';
 $lang['Search for words'] = 'Keresés szavakra';
@@ -285,5 +285,5 @@
 $lang['searched words : %s'] = 'Keresett kifejezések: %s';
 $lang['Contact'] = 'Kapcsolat:';
-$lang['set as category representative'] = 'Beállítás kategória-képviselõként';
+$lang['set as category representative'] = 'Beállítás kategória-képviselőként';
 $lang['Show number of comments'] = 'Hozzászólások számának mutatása';
 $lang['Show number of hits'] = 'Találatok száma';
@@ -305,7 +305,7 @@
 $lang['the picture must be to the fileformat jpg, gif or png'] = 'A képformátum csak a köv. lehet: JPG, GIF vagy PNG';
 $lang['the height of the picture must not exceed :'] = 'A képmagasság nem lehet nagyobb, mint: ';
-$lang['Optional, but recommended : choose a thumbnail to associate to'] = 'Nem kötelezõ, csak ajánlott: válassz hozzá bélyegképet ';
+$lang['Optional, but recommended : choose a thumbnail to associate to'] = 'Nem kötelező, csak ajánlott: válassz hozzá bélyegképet ';
 $lang['the width of the picture must not exceed :'] = 'A képszélesség nem lehet nagyobb, mint: ';
-$lang['Author'] = 'Szerzõ (pl. "Vezetéknév Keresztnév")';
+$lang['Author'] = 'Szerző (pl. "Vezetéknév Keresztnév")';
 $lang['can\'t upload the picture on the server'] = 'Nem tudom a képet feltölteni a szerverre';
 $lang['the username must be given'] = 'Felhasználói nevet meg kell adni';
@@ -318,5 +318,5 @@
 $lang['Upload a picture'] = 'Kép hozzáadása';
 $lang['useful when password forgotten'] = 'hasznos, ha elfelejted a jelszavadat';
-$lang['Quick search'] = 'Gyorskeresés';
+$lang['Quick search'] = 'Gyors-keresés';
 $lang['Connected user: %s'] = 'Kapcsolódás Felhasználó: %s';
 $lang['IP: %s'] = 'IP cím: %s';
@@ -355,7 +355,7 @@
 $lang['%d image']='%d kép';
 $lang['%d images']='%d kép';
-$lang['%d image is also linked to current tags'] = 'A kép jelenlegi cimkéje %d';
-$lang['%d images are also linked to current tags'] = 'A kép jelenlegi cimkéje %d';
-$lang['See images linked to this tag only'] = 'A cimkéhez kapcsolódó képek';
+$lang['%d image is also linked to current tags'] = 'A kép jelenlegi címkéje %d';
+$lang['%d images are also linked to current tags'] = 'A kép jelenlegi címkéje %d';
+$lang['See images linked to this tag only'] = 'A címkéhez kapcsolódó képek';
 $lang['images posted during the last %d days'] = 'Képek az elmúlt %d napban';
 $lang['Choose an image'] = 'Válassz egy képet';