Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 5335)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 5336)
@@ -198,5 +198,5 @@
 $lang['associate to category'] = 'カテゴリに関連付ける';
 $lang['associate to group'] = 'グループに関連付ける';
-$lang['Authorized'] = 'Authorized';
+$lang['Authorized'] = '承認';
 $lang['Add a virtual category'] = 'バーチャルカテゴリを追加する';
 $lang['Authorize users to add comments on selected categories'] = '選択されたカテゴリにユーザのコメント追加を許可する';
@@ -406,5 +406,5 @@
 $lang['Unlocked'] = '未ロック';
 $lang['unset'] = '設定解除';
-$lang['Move up'] = 'Move up';
+$lang['Move up'] = '上へ';
 $lang['Update categories informations'] = 'カテゴリ情報を更新する';
 $lang['Update images informations'] = 'イメージ情報を更新する';
@@ -641,3 +641,110 @@
 $lang['%d photos were deleted'] = '%d 写真が削除されました。';
 // --------- Starting below: New or revised $lang ---- from Colibri
+$lang['Categories descending alphanumerically ordered'] = 'カテゴリーは英数字の降順';
+$lang['Categories sorted in descending order ⇑'] = 'カテゴリは英数字の降順 ⇑';
+$lang['Unable to check for upgrade.'] = 'アップグレードを確認できません。';
+$lang['Processing treatment.'] = '処理中';
+$lang['Please wait...'] = 'しばらくお待ち下さい...';
+$lang['Bound template'] = 'バインドしたテンプレート';
+$lang['Downloads'] = 'ダウンロード';
+$lang['Released on'] = '発行';
+$lang['Number of downloads'] = 'ダウンロードの件数';
+$lang['Piwigo Announcements Newsletter'] = 'Piwigo のニューズレター';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Piwigoプロジェットと連絡を取り続けて、Piwigo のニューズレターを加入してください。新しいリリースやセキュリティ・バグ修正やアップグレードなどについてのお知らせいたします。年間若干のメールしかありません。';
+$lang['Subscribe %s'] = '加入 %s';
+$lang['Subscribe %s to Piwigo Announcements Newsletter'] = ' %s Piwigoのニューズレターを加入する';
+$lang['Purge search history'] = 'パージ検索履歴';
+$lang['Hide'] = '隠す';
+$lang['Password is missing. Please enter the password.'] = 'パスワードがありません。パスワードを入力して下さい。';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'パスワードの再確認がありません。パスワードの再確認を確認して下さい。';
+$lang['Password confirmation error.'] = 'パスワードの確認エラー';
+$lang['Allow users to edit theirs owns comments'] = 'ユーザーは自分のコメントを編集できるようにする';
+$lang['Allow users to delete theirs owns comments'] = 'ユーザーは自分のコメントを削除できるようにする';
+$lang['Email administrators when a comment is modified'] = 'コメントが変更された時、管理人にメールを送信する';
+$lang['Email administrators when a comment is deleted'] = 'コメントが削除された時、管理人にメールを送信する';
+$lang['Cannot delete the old permalink !'] = '旧パーマリンクを削除できません!';
+$lang['Hit'] = 'ヒット';
+$lang['Tools'] = 'ツール';
+$lang['Photos'] = '写真';
+$lang['Themes'] = 'テーマ';
+$lang['Instructions to use Piwigo'] = 'Piwigoの使い方';
+$lang['Order alphanumerically'] = '英数字の順にする';
+$lang['Order alphanumerically reverse'] = '英数字の逆順にする';
+$lang['Installed Themes'] = 'インストールされたテーマ';
+$lang['Add New Theme'] = 'テーマを追加';
+$lang['Forbid this theme to users'] = 'ユーザーにこのテーマを禁止する';
+$lang['Set as default theme for unregistered and new users'] = '新しいユーザーや登録されてないユーザーにデフォルト・テーマを設定する';
+$lang['unknown'] = '不明';
+$lang['Upload Form'] = 'アップロード・フォーム';
+$lang['Upload Photos'] = '写真をアップロードする';
+$lang['Drop into category'] = 'カテゴリーに入れる';
+$lang['+ Add an upload box'] = '+ アップロード・ボックスを追加する';
+$lang['Create the "%s" directory at the root of your Piwigo installation'] = ' Piwigoにインストールされている場所の"%s" というディレクトリーに作成してください。';
+$lang['Give write access (chmod 777) to "%s" directory at the root of your Piwigo installation'] = 'Piwigoにインストールされている場所の "%s" というディレクトリーに書き込み(chmod 777)アクセスをする。';
+$lang['existing category'] = '存在しているカテゴリー';
+$lang['create a new category'] = '新しいカテゴリーを作成する';
+$lang['Category name'] = 'カテゴリー名';
+$lang['Category "%s" has been added'] = '"%s"のカテゴリーは追加された';
+$lang['Uploaded Photos'] = 'アップロードされた写真';
+$lang['%d photos uploaded'] = '%d 枚の写真がアップロードされた';
+$lang['Privacy level set to "%s"'] = 'プライバシー設定: "%s"';
+$lang['Category "%s" now contains %d photos'] = 'カテゴリー "%s" は現在　%d 枚の写真があります。';
+$lang['Manage this set of %d photos'] = ' %d 枚の写真を管理する';
+$lang['Select files'] = 'ファイルを選択する';
+$lang['JPEG files or ZIP archives with JPEG files inside please.'] = 'JPEGファイル又は、ZIPファイルフォーマットに入っているJPEGファイル下さい。';
+$lang['Everybody'] = '全員';
+$lang['Who can see these photos?'] = 'どなたがこの写真を見られますか？';
+$lang['... or switch to the old style form'] = '... 又は、旧形式に変更する';
+$lang['... or switch to the multiple files form'] = '... 又は、複数ファイル式に変更する';
+$lang['The websize maximum width must be a number between %d and %d'] = 'ウェッブサイズの最大幅は %d と %dの中に設定する必要があります。';
+$lang['The websize maximum height must be a number between %d and %d'] = 'ウェッブサイズの最大の高さは%d と %dの中に設定する必要があります。';
+$lang['The websize image quality must be a number between %d and %d'] = 'ウェッブサイズの画質は%d と %d の中に設定する必要があります。';
+$lang['The thumbnail maximum width must be a number between %d and %d'] = 'サムネールの最大幅は%d と %d の中に設定する必要があります。';
+$lang['The thumbnail maximum height must be a number between %d and %d'] = 'サムネールの最大の高さは%d と %d の中に設定する必要があります。';
+$lang['The thumbnail image quality must be a number between %d and %d'] = 'サムネールの画質は%d と %d の中に設定する必要があります。';
+$lang['Settings'] = '設定';
+$lang['Web size photo'] = 'ウェッブ用の写真';
+$lang['Resize'] = '拡大・縮小';
+$lang['Maximum Width'] = '最大の幅';
+$lang['pixels'] = 'ピクセル';
+$lang['Maximum Height'] = '最大の高さ';
+$lang['Image Quality'] = '画質';
+$lang['Save Settings'] = '設定を保存';
+$lang['Your configuration settings are saved'] = 'あなたの設定は保存されていました';
+$lang['Active Themes'] = '有効なテーマ';
+$lang['Add write access to the "%s" directory'] = '"%s" ディレクトリーに書き込みアクセスを追加';
+$lang['Administration Home'] = 'アドミニのホーム';
+$lang['Categories ordered alphanumerically'] = 'カテゴリーは英数字の順';
+$lang['Categories ordered alphanumerically reverse'] = 'カテゴリーは英数字の逆順';
+$lang['Change Admin Colors'] = 'アドミ二の色を変更';
+$lang['Delete this theme'] = 'このテーマを削除';
+$lang['Directory does not exist'] = 'ディレクトリは存在しません';
+$lang['Download,'] = 'ダウンロード,';
+$lang['FTP + Synchronization'] = 'FTP + 同期化';
+$lang['Get Support on Piwigo Forum'] = 'Piwigoフォーラムでサポートを入手';
+$lang['Help Me'] = 'ヘルプ';
+$lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'このテーマを有効になれません。親テーマがありません: %s';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'その他のテーマはこのテーマが必要なので、テーマを削除できません: %s';
+$lang['Inactive Themes'] = '無効なテーマ';
+$lang['Install on your computer,'] = 'あなたのパソコンにインストールする,';
+$lang['Make this theme available to users'] = 'このテーマをユーザーに有効する。';
+$lang['Page end'] = 'ページの終わり';
+$lang['Piwigo Uploader'] = 'Piwigo アップローダ';
+$lang['Read Piwigo Documentation'] = 'Piwigoの説明書を読む';
+$lang['Start pLoader and add your photos.'] = 'pLoader を起動し、写真を追加する';
+$lang['Switch to clear or dark colors for administration'] = 'アドミニストレーションのために、透明色又は、暗い色に変更';
+$lang['Theme has been successfully installed'] = 'テーマのインストールは成功しました';
+$lang['Upgrade from %s to %s'] = ' %s から %sにアップグレード';
+$lang['Visit Gallery'] = 'ガラリーへ';
+$lang['Visit Piwigo project website'] = 'Piwigo のホームページへ';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader は <em>Piwigo Uploader</em>と言います。pLoaderはあなたの写真をパソコンからあなたのPiwigoフォト・ガラリーまで簡単にアップロードできます。';
+$lang['Guest Settings'] = 'ゲストの設定';
+$lang['Main Page'] = 'ホームページ';
+$lang['Photo Page'] = '写真のページ';
+$lang['Activate Navigation Bar'] = 'ナビゲーション・バーを有効にする';
+$lang['Activate Navigation Thumbnails'] = 'ナビゲーションのサムネールを有効する';
+$lang['Activate icon "%s"'] = '"%s"のアイコンを有効する';
+$lang['Activate field "%s"'] = '"%s"のフィールドを有効する';
+$lang['Photo Properties'] = '写真のプロパティ';
+
 ?>
Index: /trunk/language/ja_JP/common.lang.php
===================================================================
--- /trunk/language/ja_JP/common.lang.php	(revision 5335)
+++ /trunk/language/ja_JP/common.lang.php	(revision 5336)
@@ -87,5 +87,5 @@
 $lang['Links'] = 'リンク';
 $lang['Mail address'] = 'メールアドレス';
-$lang['N/A'] = 'N/A';
+$lang['N/A'] = 'なし';
 $lang['New on %s'] = '最新投稿 - %s';
 $lang['New password confirmation does not correspond'] = '新しいパスワードの承認が合致しません。';
@@ -245,5 +245,5 @@
 $lang['password updated'] = 'パスワードが更新されました。';
 $lang['Recent period must be a positive integer value'] = '最近の期間には正の整数を設定してください。';
-/* DEPRECATED USED IN comments.php FOR image_id ? */ $lang['picture'] = 'picture';
+/* DEPRECATED USED IN comments.php FOR image_id ? */ $lang['About Piwigo'] = 'Piwigoについて';
 $lang['Click on the picture to see it in high definition'] = '高解像度の写真を表示するには、写真をクリックしてください。';
 $lang['Show file metadata'] = 'ファイルメタデータを表示する';
@@ -351,6 +351,6 @@
 $lang['Accelerate diaporama speed'] = 'スライドショーのスピードを増やす';
 $lang['Submit'] = '送信';
-$lang['Yes'] = 'Yes';
-$lang['No'] = 'No';
+$lang['Yes'] = 'はい';
+$lang['No'] = 'いいえ';
 $lang['%d image']='イメージ: %d';
 $lang['%d images']='イメージ: %d';
@@ -368,3 +368,23 @@
 $lang['Are you sure?'] = '本当によろしいですか?';
 $lang['delete this comment'] = 'このコメントを削除する';
+$lang['Email address is missing'] = 'メールアドレスがありません。';
+$lang['Reset to default values'] = 'デフォルトにリセットする';
+$lang['delete all images from your favorites'] = 'お気に入りから画像を全て削除する。';
+$lang['Sent by'] = 'Sent by';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'あなたのブラウザーでは、クッキーの設定が有効にされていません。ブラウザのクッキーが有効になっていることも確認しておいてください。';
+$lang['Some info about this picture'] = 'この写真による情報';
+$lang['Some more (technical) info about this picture'] = 'この写真の詳細情報';
+$lang['edit this comment'] = 'このコメントに編集';
+$lang['Edit a comment'] = 'コメントを編集';
+$lang['(!) This comment requires validation'] = '(!) このコメントは有効が必要';
+$lang['Welcome'] = 'ようこそ';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Piwigoフォト・ガラリーにようこそ!';
+$lang['... or browse your empty gallery'] = '... または、空のガラリーを回覧する';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... または、このメッセージに無効にして下さい。私は自分で見てみます。';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'こんにちは %sさん, あなたのPiwigoフォト・ガラリーが何も入っていません!';
+$lang['I want to add photos'] = '写真を追加したい';
+$lang['Manage this user comment: %s'] = 'このユーザーのコメントを管理: %s';
+$lang['This author modified following comment:'] = 'このユーザーが次のコメントを書き直しました:';
+$lang['This author removed the comment with id %d'] = 'このユーザーがコメントID %d を削除しました。';
+$lang['validate this comment'] = 'このコメントを有効にする';
 ?>
Index: /trunk/tools/translation_validated.inc.php
===================================================================
--- /trunk/tools/translation_validated.inc.php	(revision 5335)
+++ /trunk/tools/translation_validated.inc.php	(revision 5336)
@@ -75,46 +75,14 @@
 	'step1_host_info',
     ),
-  'da_DK' => array(
- 	'Installation',
-	'install_webmaster',
-	'step1_host',
-	'step1_host_info',
-	'step1_pass',
-	'step2_pwd',
-	'%d Kb',
-	'%d hit',
-	'%d hits',
-	'Connection settings',
-	'Connection',
-	'Display',
-	'Filter',
-	'Links',
-	'N/A',
-	'Password',
-	'Quick connect',
-	'RSS feed',
-	'Reset',
-	'Tag',
-	'Tags',
-	'Webmaster',
-	'author(s) : %s',
-	'admin',
-	'caddie',
-	'download',
-	'logout',
-	'powered_by',
-	'remember_me',
-	'slideshow',
-	'sql_queries_in',
-	'thumbnails',
-	'title_menu',
-	'upload_author',
-	'IP: %s',
-	'Browser: %s',
-	'Author: %s',
-	'Email: %s',
-	'Admin: %s',
-	'Rank',
-	'cloud',
+  'ja_JP' => array(
+ 	'About',
+	'Since',
+	'Powered by',
+ 	'IP: %s',
+	'IP',
+	),
+  'pl_PL' => array(
+ 	'',
+	'',
 	),
   );